GNU bug report logs - #41766
Make it possible to change regexp to identify and highlight grep matches via customization

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Simon Lang <simon.lang@HIDDEN>; dated Mon, 8 Jun 2020 21:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 14 Jun 2020 11:26:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 14 07:26:17 2020
Received: from localhost ([127.0.0.1]:42993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jkQmG-0007T5-R3
	for submit <at> debbugs.gnu.org; Sun, 14 Jun 2020 07:26:17 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:30330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon.lang@HIDDEN>) id 1jkOgd-00047J-4G
 for 41766 <at> debbugs.gnu.org; Sun, 14 Jun 2020 05:12:20 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 49l7yN5SZyzKmgx;
 Sun, 14 Jun 2020 11:12:12 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id 84I_QMkfjM5P; Sun, 14 Jun 2020 11:12:09 +0200 (CEST)
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
From: Simon Lang <simon.lang@HIDDEN>
Mime-Version: 1.0 (1.0)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Date: Sun, 14 Jun 2020 10:12:03 +0100
Message-Id: <44423F99-0143-4F4E-A4FC-D29B922A48A2@HIDDEN>
References: <0e6ad4aefa2743f1b0d6ba4315a9e91b@HIDDEN>
In-Reply-To: <0e6ad4aefa2743f1b0d6ba4315a9e91b@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
X-Rspamd-Queue-Id: B5BDD1800
X-Rspamd-Score: -2.67 / 15.00 / 15.00
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
X-Mailman-Approved-At: Sun, 14 Jun 2020 07:26:15 -0400
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Simon Lang <simon.lang@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



> Am 13.06.2020 um 23:59 schrieb Juri Linkov <juri@HIDDEN>:
>=20
> =EF=BB=BF
>>=20
>> Maybe also a way to easily register new search tools? Otherwise one might=

>> be locked into the available options again - and if there is a new tool t=
he
>> interface might be not that stable, so there is the danger that it breaks=

>> until there is a new emacs release.
>=20
> No problem, you can even dynamically add an option available only
> when a grep program is installed:
>=20
> (defcustom grep-program nil
>  "The default grep program for `grep-command' and `grep-find-command'.
> This variable's value takes effect when `grep-compute-defaults' is called.=
"
>  :type `(choice (const :tag "GNU grep" (purecopy "grep"))
>                 ,@(if (executable-find "rg") '((const :tag "ripgrep" "rg")=
))
>                 (string :tag "Other grep program")
>                 (const :tag "Not Set" nil))
>  :version "28.1")
>=20
> Or for a completely new tool:
>=20
> (nconc (get 'grep-program 'custom-type) '((const :tag "ripgrep" "rg")))

Maybe still fine to merge my patch now and look at this later? One would not=
 contradict the other, I would think?=20

@Eli: sorry I hope my revised patch was not buried below this other discussi=
on now.=20

Thank you!=20

Simon=





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 13 Jun 2020 22:59:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 13 18:59:10 2020
Received: from localhost ([127.0.0.1]:42614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jkF7F-0006SZ-UF
	for submit <at> debbugs.gnu.org; Sat, 13 Jun 2020 18:59:10 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:48753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jkF7E-0006S1-0J
 for 41766 <at> debbugs.gnu.org; Sat, 13 Jun 2020 18:59:08 -0400
X-Originating-IP: 91.129.108.6
Received: from mail.gandi.net (m91-129-108-6.cust.tele2.ee [91.129.108.6])
 (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 21B5960005;
 Sat, 13 Jun 2020 22:58:59 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Simon Lang <Simon.lang@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Organization: LINKOV.NET
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 <87bllqoag3.fsf@HIDDEN>
 <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN>
 <87pna6ldoi.fsf@HIDDEN>
 <VI1PR10MB28003D0A94A7AAFB04D5867C809E0@HIDDEN>
Date: Sun, 14 Jun 2020 01:50:49 +0300
In-Reply-To: <VI1PR10MB28003D0A94A7AAFB04D5867C809E0@HIDDEN>
 (Simon Lang's message of "Sat, 13 Jun 2020 09:51:29 +0000")
Message-ID: <878sgqy3zq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Maybe also a way to easily register new search tools? Otherwise one might
> be locked into the available options again - and if there is a new tool the
> interface might be not that stable, so there is the danger that it breaks
> until there is a new emacs release.

No problem, you can even dynamically add an option available only
when a grep program is installed:

(defcustom grep-program nil
  "The default grep program for `grep-command' and `grep-find-command'.
This variable's value takes effect when `grep-compute-defaults' is called."
  :type `(choice (const :tag "GNU grep" (purecopy "grep"))
                 ,@(if (executable-find "rg") '((const :tag "ripgrep" "rg")))
                 (string :tag "Other grep program")
                 (const :tag "Not Set" nil))
  :version "28.1")

Or for a completely new tool:

(nconc (get 'grep-program 'custom-type) '((const :tag "ripgrep" "rg")))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 13 Jun 2020 09:51:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 13 05:51:38 2020
Received: from localhost ([127.0.0.1]:40876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jk2p7-0001OA-Qb
	for submit <at> debbugs.gnu.org; Sat, 13 Jun 2020 05:51:38 -0400
Received: from mail-oln040092070095.outbound.protection.outlook.com
 ([40.92.70.95]:14638 helo=EUR03-AM5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jk2p6-0001Nx-K0
 for 41766 <at> debbugs.gnu.org; Sat, 13 Jun 2020 05:51:37 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=hLfFWz8MZ9NsclIeLMqmOWfcIijwixAxrxCi0HcW3EA5r8xMOcbcBTwhPVX8vxGHYdwApYH9u7XZUaQogwFpAYCBhgCnhkFL2HYMVW9Y0bP8NdON/MVmsxYERnWzraALjt38LdJ0a3Wqd4MzairPkznT0kid3xoMK8YeB2UTJYZ7lXfMy/O5en0uQcu7jiuFtHeHikuAq25vFZQVHnyylpwoyfc6U/WrPqbSc9rMNmz1/f2OefT9sWbUevsCRHrPewO9NK4zBu2HXCoO1iprTUmHIYRaRC8GDm4Sy00ZHKkE/H0cLiJf1S3a3q/tKgRGF8ffQkAHw+xL6JB6H6zJFg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=weZONuPxFqK7yvC73x0hqkQfqOpIbyaenedNFp9ADdk=;
 b=Kx7sYxiejZ7bxWO5rW58hjKnPAI9Wkcag6B0WKsqGN8V2gJr3J+QNtgIKbL58WLGOdrM4Sr6zTjizHxbR0Nhqj2a+I11gIu2nobJCf+h7+xpVE1ua3/6J3SZpNSFg1HqUCvGCKivLtvFCaa58Gf+/Gaiqb9sVjEQ2fgz3Pc5Fn3T4QWsSasj2roRLejOvg2PhY4aLBnoQi2hqQEPw2vlDKO9VbVZrwA9GLllc6qn6cYSgtFBZ4n00PumXRdzlNbw0cLMmJWiAzyZLX2GxnmgtGe4V/uhU2fCkEK9qTuh11Y+LX/AKYrKttkHGi24Hex9bQXiWmwOnXu7OH8nttPE0Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=weZONuPxFqK7yvC73x0hqkQfqOpIbyaenedNFp9ADdk=;
 b=Y5uWYuEsbItsjXmJDWk6UyT8wI0BJPAReQ3Lh4mwSdGt0CGQIWoEWJYou0uNJxAY0u6S94nGhdAPVCYt9ttg59RIZyHLoRMNk9YJH/Q2az+J8CHtmXyHa9Sc0SuHB5wasYYFzXoSK2j3I6BV1x20Ds1zOjf20HRWilN/SV5G9du0EmYcvhwXTHYVf2n20JrQaAykZVGERoH7PIFP2k3kXisxrFD7wYFXMdnaaNYlDPQxdys9Dum9BZGDFS1r/AyoMrY/wbcK2GXOIMOq65o215158EG8vmfSzYTpRI6VYhpSmHu4+hjlGOu2wO/XeCCtGz6VFijVi6tnwkAk+TQ2ug==
Received: from VE1EUR03FT019.eop-EUR03.prod.protection.outlook.com
 (2a01:111:e400:7e09::40) by
 VE1EUR03HT157.eop-EUR03.prod.protection.outlook.com (2a01:111:e400:7e09::228)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18; Sat, 13 Jun
 2020 09:51:29 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e09::4f) by VE1EUR03FT019.mail.protection.outlook.com
 (2a01:111:e400:7e09::153) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18 via Frontend
 Transport; Sat, 13 Jun 2020 09:51:29 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3088.025; Sat, 13 Jun 2020
 09:51:29 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTSAAETYFYAALx5ggAH8/gyAAA4jgIAABP0AgAASkcOAA9QwlA==
Date: Sat, 13 Jun 2020 09:51:29 +0000
Message-ID: <VI1PR10MB28003D0A94A7AAFB04D5867C809E0@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 <87bllqoag3.fsf@HIDDEN>
 <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN>,
 <87pna6ldoi.fsf@HIDDEN>
In-Reply-To: <87pna6ldoi.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:13BDF844D5B08E281F0472EF4AD2A43C00C6C084AD8F3C70335C584359AC8A43;
 UpperCasedChecksum:046753221F598FE9B3825C011D866714823CDB7EA9CD7ECE08AB600643A78FF8;
 SizeAsReceived:7545; Count:45
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [D0NEp/zgNEWRhZV7moJD7FXwq5QDJ556]
x-ms-publictraffictype: Email
x-incomingheadercount: 45
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 18533c50-5eea-4995-809d-08d80f7f58b3
x-ms-traffictypediagnostic: VE1EUR03HT157:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: e9biFRxJ8dBbKNe4kbsm6NYVVOptg6B8DsPPbRgLzOuZrLzenw3y12T5tSm0rEookIhlkaFi1Qu68pcyeLYiokTetoAaSIeGugLEi+8lD45ALJo8RnKSLWRlEx8bwqUsiVu9a1Ot1cwxF2hfiZTq/9XcIAL2qZmCMF2roWKmS+IA8TfzF+gJ3IepvyvBunyZFvqVKmFGeekoyoJ5SSYj8A==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: q5SePuOHSjc5bIIjOo7fek1BawWkVmKFqB2pgZJxXV+ZJWL4cVSUxkGPRzET5rwRxODBZbY4vnVh/7Q4gp1StsAx8pGM/+uUe4XCMNvmlgxiVGbKGpDlKLYI5wiIxx6Q8fS9gGZn7iWDvpomHuAXqg==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 18533c50-5eea-4995-809d-08d80f7f58b3
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 Jun 2020 09:51:29.5467 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VE1EUR03HT157
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Maybe also a way to easily register new search tools? Otherwise one might b=
e locked into the available options again - and if there is a new tool the =
interface might be not that stable, so there is the danger that it breaks u=
ntil there is a new emacs release.

Simon

________________________________________
From: Juri Linkov <juri@HIDDEN>
Sent: 11 June 2020 00:10
To: Dmitry Gutov
Cc: Simon Lang; Basil L. Contovounesios; 41766 <at> debbugs.gnu.org
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

>> In the long run what should be customizable is not escape sequences,
>> but a choice of the grep program with a list of such options:
>>    "GNU grep"
>>    "ripgrep"
>>    ...
>
> That could simply be done by adding :tag to each option value, right?

Indeed, the same way as it's already used in

(defcustom grep-find-use-xargs nil
  "How to invoke find and grep.
If `exec', use `find -exec {} ;'.
If `exec-plus' use `find -exec {} +'.
If `gnu', use `find -print0' and `xargs -0'.
If `gnu-sort', use `find -print0', `sort -z' and `xargs -0'.
Any other value means to use `find -print' and `xargs'.

This variable's value takes effect when `grep-compute-defaults' is called."
  :type '(choice (const :tag "find -exec {} ;" exec)
                 (const :tag "find -exec {} +" exec-plus)
                 (const :tag "find -print0 | xargs -0" gnu)
                 (const :tag "find -print0 | sort -z | xargs -0'" gnu-sort)
                 string
                 (const :tag "Not Set" nil))
  :set #'grep-apply-setting
  :version "27.1")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 13 Jun 2020 09:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 13 05:48:23 2020
Received: from localhost ([127.0.0.1]:40871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jk2lz-0001JX-80
	for submit <at> debbugs.gnu.org; Sat, 13 Jun 2020 05:48:23 -0400
Received: from mail-oln040092070049.outbound.protection.outlook.com
 ([40.92.70.49]:39911 helo=EUR03-AM5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jk2lw-0001JI-O9
 for 41766 <at> debbugs.gnu.org; Sat, 13 Jun 2020 05:48:22 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=G+QpIRSgCnVN6cvnc0kzG6mcxL0wYDkgZjyGxWyrvVceFfGEWfu7WaMXoXSaTA14WWEIvQyS0IIel4vC5d3leUS/IsbveWQjMB1mNm46CICIRGFtfk8VByhBqEXiUsxDtxvtX1m7fJpplatnNcFGnfWXwCgD75fuGlSCv5+3trKxwD++4dgZLRvcqdjaWxuYS+tVN85dV+wZZV7g41Xx9lglhlZVMm4rvo5gARAN1qZAhmykn9JyiLp3rxlejekyIpmD7yyJqMC8HBEiKM23FRcUhPQNBGC/z6HBXN1Wuv/IYLB1/n0pYDhRZLJyUWSVxzwtja1X2sz/Nej1QCzoXw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+zY40XtqALQ8ca6A4gf8GdePiXKjVAIRO/4PaV4Len8=;
 b=ah7cUgaoGVPJ7rkpDKu6q9qcIoGtrMnAvsRyD9gZ9UAjILxUmBh9IXoQ3V+1+u+67FQ1A17S3CJXNcsfxosK4wTnuAcFmTL2P1OpSMIT9OLVsRlARUFKqm6bt81rIrajmcVNbEuis7ejpPgfypjfKbH+s6QdMIHP8lZP8jM5s23NRLKEjXYw6i5/0nFFbDHz6UhWKnxtWLuif1EhSrUxnQnmmUGzhAf3al2xg9ERjX/3pQA4nXyYPkLqZdppZMO6E3VAAhvbLyajtOTQhESfTiWk61IVzKRCDAaaPLRC89Sn8U1DnWKxJ8nXGWdk682SyjVXKdQSQdCt0K5HGZZWcA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+zY40XtqALQ8ca6A4gf8GdePiXKjVAIRO/4PaV4Len8=;
 b=bhouIg4WDuoJLBB/Qr0um145xEDJnpQGspYdZ39qZEjdCb021FrTe84OpwzFMC0igGW7/oqqRTWWhYmbaP+CNq2naHg/VAW+liiBCiCYFwR2bdk6lWAxJT+UVsD9f7rVF2/Wv1t+8Kn63xo0yO7ZyGICzNQSzD4ILjpT6xXE1Eh85RX59wZdif/YLBlwDlie9SSv3jZSkGQq8djDEcjre7CwJ1beAH03FbD5rJQJnK4VwjQixhf3FOR/Y1suCChW5kPykturAfgDylk5D1G2qXY1sBnwE7NLgDW3ttvyAJfA1K5lnWzb42/lhsqcO1YSUtb6oLkQ1nulMeW98rMYTw==
Received: from VE1EUR03FT019.eop-EUR03.prod.protection.outlook.com
 (2a01:111:e400:7e09::4e) by
 VE1EUR03HT125.eop-EUR03.prod.protection.outlook.com (2a01:111:e400:7e09::497)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18; Sat, 13 Jun
 2020 09:48:13 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e09::4f) by VE1EUR03FT019.mail.protection.outlook.com
 (2a01:111:e400:7e09::153) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18 via Frontend
 Transport; Sat, 13 Jun 2020 09:48:13 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3088.025; Sat, 13 Jun 2020
 09:48:13 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTSAAETYFYAALx5ggAH8/gyAA8gA+4AAMWM9
Date: Sat, 13 Jun 2020 09:48:13 +0000
Message-ID: <VI1PR10MB280096CB6A4497BAED3D3E6A809E0@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN>,<833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>,
 <83imfv4fyv.fsf@HIDDEN>
In-Reply-To: <83imfv4fyv.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:0FD372B092A40BA11F30E3483B9948E1B328EAE22A41C8E8FFD861ECAF5DF6C7;
 UpperCasedChecksum:172E5C3B1AD1DB3FBC70CF9C55FDA75A1B7774BA145639D5732E1982AC99C946;
 SizeAsReceived:7453; Count:45
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [d3jCCW2VldTenYVl6hobJFpKgny8r6LM]
x-ms-publictraffictype: Email
x-incomingheadercount: 45
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 41493f4d-e4a3-449a-06c1-08d80f7ee40b
x-ms-traffictypediagnostic: VE1EUR03HT125:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: SvszclGZNygCWPUjENW2YGSNa13RIHd2h2HtscNXG545EXxHH7SEqCWuB5ouGE6EtcT1MHURmps83aFbkcHErmnQ3lq/+FgI54XtJREwy4unCyWnVS8ZwRwoJ4WwBvbKRx5GNStlFyvElUO7bI7yM+N8BET0ZNhW6tENKZIdy0IyJBDEqcVkybzOJ4S+TebMjuSzGIhKwTceULaGdR1w+A==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: sbzUAE93S9p1drtkiHJ2W0nKMuT7NaSoqLHRcVBfubKPsyGf6cKG5p0PkI4pKGQpD/vvcFI3WaEJUNuM7JTHRpdO5jEt9fMlLNtzS6C2SqnJThqFtM0FAGuc1Sogxiv3AKMOMM2wvMJzfnzgwlMmVQ==
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_VI1PR10MB280096CB6A4497BAED3D3E6A809E0VI1PR10MB2800EURP_"
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 41493f4d-e4a3-449a-06c1-08d80f7ee40b
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 Jun 2020 09:48:13.7839 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: VE1EUR03HT125
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 41766
Cc: "contovob@HIDDEN" <contovob@HIDDEN>, "juri@HIDDEN" <juri@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--_002_VI1PR10MB280096CB6A4497BAED3D3E6A809E0VI1PR10MB2800EURP_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Thank you!

Attached pls find the revised patch.

Simon

________________________________________
From: Eli Zaretskii <eliz@HIDDEN>
Sent: 13 June 2020 07:50
To: Simon Lang
Cc: contovob@HIDDEN; 41766 <at> debbugs.gnu.org; dgutov@HIDDEN; juri@HIDDEN=
et
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

> From: Simon Lang <Simon.lang@HIDDEN>
> CC: "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>, "dgutov@HIDDEN"
>       <dgutov@HIDDEN>, "juri@HIDDEN" <juri@HIDDEN>
> Date: Wed, 10 Jun 2020 21:11:09 +0000
>
> I now something to the manual, NEWS and changed the doc string + commit m=
sg as advised. I decided on defcustom in the end because this way it is eas=
y for the user to figure out what goes wrong in case he/she modifies grep-c=
ommand and highlighting is missing. Hope that is fine.
>
> Pls let me know if there is anything else I need to change.

Thanks, a few minor comments below.

> +by grep.  The matching of the sequences is controlled by
> +@code{grep-match-regexp}, which can be customize to accommodate
> +different grep programs.               ^^^^^^^^^

Typo: should be "customized".

Also, "grep" should be "Grep".

> +** Grep changes:
> +
> +*** New variable 'grep-match-regexp' matches grep markers to highlight.
> +Grep emits SGR ANSI escape sequences to color its output. The new variab=
le
> +'grep-match-regexp' holds the regular expression to match the appropriat=
e
> +markers in order to provide highlighting in the source buffer. The varia=
ble
> +can be customized to accommodate other grep-like tools.

Please leave 2 spaces between sentences, per our conventions.
> +(defcustom grep-match-regexp "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regular expression matching grep markers to highlight.
> +It matches SGR ANSI escape sequences which are emitted by grep to
> +color its output. This variable is used in `grep-filter'."

Likewise here.

--_002_VI1PR10MB280096CB6A4497BAED3D3E6A809E0VI1PR10MB2800EURP_
Content-Type: application/octet-stream;
	name="0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch"
Content-Description:  0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch
Content-Disposition: attachment;
	filename="0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch";
	size=3144; creation-date="Sat, 13 Jun 2020 09:47:43 GMT";
	modification-date="Sat, 13 Jun 2020 09:47:43 GMT"
Content-Transfer-Encoding: base64
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--_002_VI1PR10MB280096CB6A4497BAED3D3E6A809E0VI1PR10MB2800EURP_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 13 Jun 2020 06:50:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 13 02:50:35 2020
Received: from localhost ([127.0.0.1]:40768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjzzv-0005VZ-4i
	for submit <at> debbugs.gnu.org; Sat, 13 Jun 2020 02:50:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jjzzt-0005VM-A8
 for 41766 <at> debbugs.gnu.org; Sat, 13 Jun 2020 02:50:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53941)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jjzzm-00051m-73; Sat, 13 Jun 2020 02:50:26 -0400
Received: from [176.228.60.248] (port=4468 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jjzzl-0004iv-Jz; Sat, 13 Jun 2020 02:50:26 -0400
Date: Sat, 13 Jun 2020 09:50:16 +0300
Message-Id: <83imfv4fyv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simon Lang <Simon.lang@HIDDEN>
In-Reply-To: <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 (message from Simon Lang on Wed, 10 Jun 2020 21:11:09 +0000)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN>,<833674710g.fsf@HIDDEN> 
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41766
Cc: contovob@HIDDEN, juri@HIDDEN, 41766 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simon Lang <Simon.lang@HIDDEN>
> CC: "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>, "dgutov@HIDDEN"
> 	<dgutov@HIDDEN>, "juri@HIDDEN" <juri@HIDDEN>
> Date: Wed, 10 Jun 2020 21:11:09 +0000
> 
> I now something to the manual, NEWS and changed the doc string + commit msg as advised. I decided on defcustom in the end because this way it is easy for the user to figure out what goes wrong in case he/she modifies grep-command and highlighting is missing. Hope that is fine.
> 
> Pls let me know if there is anything else I need to change.

Thanks, a few minor comments below.

> +by grep.  The matching of the sequences is controlled by
> +@code{grep-match-regexp}, which can be customize to accommodate
> +different grep programs.               ^^^^^^^^^

Typo: should be "customized".

Also, "grep" should be "Grep".

> +** Grep changes:
> +
> +*** New variable 'grep-match-regexp' matches grep markers to highlight.
> +Grep emits SGR ANSI escape sequences to color its output. The new variable
> +'grep-match-regexp' holds the regular expression to match the appropriate
> +markers in order to provide highlighting in the source buffer. The variable
> +can be customized to accommodate other grep-like tools.

Please leave 2 spaces between sentences, per our conventions.
> +(defcustom grep-match-regexp "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regular expression matching grep markers to highlight.
> +It matches SGR ANSI escape sequences which are emitted by grep to
> +color its output. This variable is used in `grep-filter'."

Likewise here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 10 Jun 2020 23:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 19:24:20 2020
Received: from localhost ([127.0.0.1]:35612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjA4y-00016F-Kl
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 19:24:20 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:36701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1jjA4x-000163-RK
 for 41766 <at> debbugs.gnu.org; Wed, 10 Jun 2020 19:24:20 -0400
Received: by mail-wr1-f48.google.com with SMTP id q11so4197995wrp.3
 for <41766 <at> debbugs.gnu.org>; Wed, 10 Jun 2020 16:24:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=yoEoXPrLfPOuCfmb29jB+OLh6nhTHikF24PtNJFTbdI=;
 b=qLB+BC0CfilvQzkdii3raLUxHaFANIA17UuPj/sZmzfCk3Uku8wORa/hdK1xitBXfq
 MsmigJ4rItLpX0jEeURPXstdUVA1RyZAvt4h8t+MJAVMh45WZRJIy4TX0YGIMFTttLPv
 ymukdACZ+G5QpbalB/FVni5CPxcUpvOWcaYHxiKisOq7FYf0/Lq0lPFY1DdyagK2sChJ
 ADsfETrwuSBncJ1gTi3Yzz8Gs1jtMfauhSFdOiO/YUB8OF8f8VWjRkFBnoACoiKHFnCU
 tWDyLIV+pZ97B4P/TnXs9FmHHVsqANDaIS5NqXh9L0v07XOJTkGww9rLhNyMWFA4zHsl
 I+Og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=yoEoXPrLfPOuCfmb29jB+OLh6nhTHikF24PtNJFTbdI=;
 b=nmXwr9ALxLAE3Z8T0Jg1KM7JZHwxijeq1c0gxoeR1C1E3HaU4whPFNk2cxE9qbCweT
 2ScUCNJjfZhwesolyQ4Auc2yJljcek14CZWAMgksEpEMGI4usJkd1zPRN1nKwAG+5y5X
 JUSlvKttpnRWCY1mdLYRaPfn6iPw6D+NHicSQjLVUJbnl54G1ui9W9EsJO7jxogHUSHr
 BHAr0sadUvBcpgJDmrI2onIIvo169FnQRxXyjAX56phwiMYNuanCz8KimXOuTrKktpC9
 U7N0scfW/IkaqCiwf1wG0otQbvb12vX6UVtJg864cy8HQ5M+gXwf9RfhjRrJnUNB5zld
 SlEw==
X-Gm-Message-State: AOAM531uJgdMiLXPZqhkTv3tj+khU50Vz6F8eiZj3Fj1c/2sJuucaN3o
 /vi83OHf15qG318tB3VniifSrS1b
X-Google-Smtp-Source: ABdhPJyPmJ44bJSJszP2MISu7We1SJ8KaOQmamIUvgZ4MwT2OQqV/Ku7twtlFlWHTaYZdz+dEux74g==
X-Received: by 2002:adf:e44c:: with SMTP id t12mr5939571wrm.181.1591831453692; 
 Wed, 10 Jun 2020 16:24:13 -0700 (PDT)
Received: from [192.168.0.3] ([66.205.73.129])
 by smtp.googlemail.com with ESMTPSA id f9sm2190069wrf.74.2020.06.10.16.24.12
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 10 Jun 2020 16:24:13 -0700 (PDT)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
To: Juri Linkov <juri@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 <87bllqoag3.fsf@HIDDEN>
 <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN>
 <87pna6ldoi.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8de9090b-0200-2fa0-35be-3dd12dd42c39@HIDDEN>
Date: Thu, 11 Jun 2020 02:24:11 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
In-Reply-To: <87pna6ldoi.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Simon Lang <Simon.lang@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 11.06.2020 02:10, Juri Linkov wrote:
>>> In the long run what should be customizable is not escape sequences,
>>> but a choice of the grep program with a list of such options:
>>>     "GNU grep"
>>>     "ripgrep"
>>>     ...
>> That could simply be done by adding :tag to each option value, right?
> Indeed, the same way as it's already used in

Then the main thing missing is the alternative value(s).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 10 Jun 2020 23:20:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 19:20:51 2020
Received: from localhost ([127.0.0.1]:35602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjA1a-0000zu-U9
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 19:20:51 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:40253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jjA1Y-0000zV-Tp
 for 41766 <at> debbugs.gnu.org; Wed, 10 Jun 2020 19:20:49 -0400
Received: from mail.gandi.net (m91-129-108-6.cust.tele2.ee [91.129.108.6])
 (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 3F682100006;
 Wed, 10 Jun 2020 23:20:40 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Organization: LINKOV.NET
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 <87bllqoag3.fsf@HIDDEN>
 <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN>
Date: Thu, 11 Jun 2020 02:10:53 +0300
In-Reply-To: <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN> (Dmitry Gutov's
 message of "Thu, 11 Jun 2020 01:14:20 +0300")
Message-ID: <87pna6ldoi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Simon Lang <Simon.lang@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> In the long run what should be customizable is not escape sequences,
>> but a choice of the grep program with a list of such options:
>>    "GNU grep"
>>    "ripgrep"
>>    ...
>
> That could simply be done by adding :tag to each option value, right?

Indeed, the same way as it's already used in

(defcustom grep-find-use-xargs nil
  "How to invoke find and grep.
If `exec', use `find -exec {} ;'.
If `exec-plus' use `find -exec {} +'.
If `gnu', use `find -print0' and `xargs -0'.
If `gnu-sort', use `find -print0', `sort -z' and `xargs -0'.
Any other value means to use `find -print' and `xargs'.

This variable's value takes effect when `grep-compute-defaults' is called."
  :type '(choice (const :tag "find -exec {} ;" exec)
                 (const :tag "find -exec {} +" exec-plus)
                 (const :tag "find -print0 | xargs -0" gnu)
                 (const :tag "find -print0 | sort -z | xargs -0'" gnu-sort)
                 string
		 (const :tag "Not Set" nil))
  :set #'grep-apply-setting
  :version "27.1")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 10 Jun 2020 22:14:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 18:14:32 2020
Received: from localhost ([127.0.0.1]:35537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj8zQ-0005cs-0K
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 18:14:32 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:34349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1jj8zM-0005cd-6j
 for 41766 <at> debbugs.gnu.org; Wed, 10 Jun 2020 18:14:29 -0400
Received: by mail-wr1-f50.google.com with SMTP id r7so4082554wro.1
 for <41766 <at> debbugs.gnu.org>; Wed, 10 Jun 2020 15:14:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=yASKPQyJ5SFcLXJd8EtRlTaNQlx/r3pfFj8o8CAzK/k=;
 b=rhkwpUC9orY18zwgeiGwU1hV9qJpnxgF+15DIhxTLYkCWvbSgUEufTgf3WHck2rKJl
 CknuXnOL9vvaDcSsz/UpaIKkHeqSFv09s14A1co1Wl+nRHqf/u+8iCcK35TpE2GdHy1Q
 vtIX8AvCL92OUZ/7c4WZ5fjAFaLfDNWqQ/MgzMHMsosJzAzWWEi5kU8FBYHCNYpa25XD
 Q5MFNW3sWTC+8hSyqNvNLm/zP8I1KKad7Mo8HDSaFAVh5c4eUAcEfq5iJrSHAJFcZbUt
 JXb/g4Jm7Ku4e27cpjQZlTS77u/mbigNUUWPEZnnO3tl7Ju5fpeBF6TDMYPKkADiW9Ha
 H4YQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=yASKPQyJ5SFcLXJd8EtRlTaNQlx/r3pfFj8o8CAzK/k=;
 b=pSv998pevSy1dofMLmP40eAFVD9bavVZH/0Jo3M175/HlZ59z5UA8xME7VUPRRnGKz
 Vd7PqxE2hT8BZ+2ho8MESQM0XRh/OZlQQhmfeRTJTt/XcI9KaC1TaxSpoZ+1ZoJ1dVyE
 X9TM0g42XZeR1Cd/bJsHp5GaRSIq0EOPOXJlNxQ0uUAj3qhac0mjbnJj/n3vH9a7iOmK
 RUlDmHJWyqDL6bXvt3sxOiPlxaSjmyth1kU9Wy94xqMKPT0P60Mt+HJ4XmTey+QdJ8dE
 hDTaCcYJE9WrKiQoDnEZv5xTw78nu4IOkswqHYw5U6I4AX2zvR8ol/b5FPJ4hSb7k/Qb
 c8iw==
X-Gm-Message-State: AOAM533xnTsmrjhhha7Sl1JJvd6/HJdANLIyXYy0N2N6+6falRQvMgHT
 dwb5O65fAtCrouqIkPjTZcYAYYPA
X-Google-Smtp-Source: ABdhPJwe8GS3KVPCG+BoBimhRBKWV1VfrA93DCcE9tfTN81qsJM7hx/G57Mrf6NHj1Dy6grnOXEQqA==
X-Received: by 2002:adf:f789:: with SMTP id q9mr2081480wrp.251.1591827262107; 
 Wed, 10 Jun 2020 15:14:22 -0700 (PDT)
Received: from [192.168.0.3] ([66.205.73.129])
 by smtp.googlemail.com with ESMTPSA id s8sm1793920wrg.50.2020.06.10.15.14.20
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 10 Jun 2020 15:14:21 -0700 (PDT)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
To: Juri Linkov <juri@HIDDEN>, Simon Lang <Simon.lang@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 <87bllqoag3.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <85a777f6-cf5e-9a05-7156-35a295713b89@HIDDEN>
Date: Thu, 11 Jun 2020 01:14:20 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
In-Reply-To: <87bllqoag3.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 11.06.2020 00:52, Juri Linkov wrote:
> In the long run what should be customizable is not escape sequences,
> but a choice of the grep program with a list of such options:
> 
>    "GNU grep"
>    "ripgrep"
>    ...

That could simply be done by adding :tag to each option value, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 10 Jun 2020 21:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 17:56:34 2020
Received: from localhost ([127.0.0.1]:35516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj8i2-0005An-GZ
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 17:56:34 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:41825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jj8i0-0005AL-O4
 for 41766 <at> debbugs.gnu.org; Wed, 10 Jun 2020 17:56:33 -0400
X-Originating-IP: 91.129.108.6
Received: from mail.gandi.net (m91-129-108-6.cust.tele2.ee [91.129.108.6])
 (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 8BE22C0003;
 Wed, 10 Jun 2020 21:56:24 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Simon Lang <Simon.lang@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Organization: LINKOV.NET
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN> <833674710g.fsf@HIDDEN>
 <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
Date: Thu, 11 Jun 2020 00:52:28 +0300
In-Reply-To: <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
 (Simon Lang's message of "Wed, 10 Jun 2020 21:11:09 +0000")
Message-ID: <87bllqoag3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I now something to the manual, NEWS and changed the doc string + commit msg
> as advised. I decided on defcustom in the end because this way it is easy
> for the user to figure out what goes wrong in case he/she modifies
> grep-command and highlighting is missing. Hope that is fine.

In the long run what should be customizable is not escape sequences,
but a choice of the grep program with a list of such options:

  "GNU grep"
  "ripgrep"
  ...

i.e. the same customization as for the selection of the web browser
in browse-url.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 10 Jun 2020 21:11:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 17:11:19 2020
Received: from localhost ([127.0.0.1]:35487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj80F-00042L-JS
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 17:11:19 -0400
Received: from mail-oln040092073049.outbound.protection.outlook.com
 ([40.92.73.49]:37766 helo=EUR04-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jj80D-000427-D3
 for 41766 <at> debbugs.gnu.org; Wed, 10 Jun 2020 17:11:18 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=iksSSu8RIyNvOfOCH38Z63CgDWPe4kdz/WCdRBEj+8FeDYEzKAgVNqgx5/7mw03sOojQOrk8dfJXPL7hZJcvbxynsWWgc72YJzuVW8YrDb8pjPfm9nSqY5PKSsZH66cTdcjjwZLdp7tcArW6wbjBu8Nrg1ILf+xYPlaHScVlrNOpOA/sj1onTAd9/GRxkPNCYeGUaUVJR945jsa0N8ANYGf2G2bFTnbyPVYJzxwcNE01xewakQu5aa/XnLjoVcSP9kSR3ZMbSj9yKHcrURxdI3RwhDb6Uihfj8Hgqx7v3ZwD1DtCqhTfcNLTOeOK/s1CL+sBV42SGt3iOrTUBvmKFQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=SnNsvgTqkTLh3BMQzoZykEaeUdc8oO/nqVMsBWcIEfw=;
 b=QcvWeNkLilzmKW36aaEc/SHMSb+gTRcCAhQRXoYVM8Zbk8EPywELMHm2AMN+GPLgki5oP3uFev5vePsZdFQzS5xcNXbvcT9/gjgwPYnPWYC5RKdNPyBZmLu7biNtslGb+qfim5FNHirg5Liq89Fm20ljYsvZVV0RYg+TxoJroRSmpWE6uVyCgODfq4DA1FbLBsIw3UWRr6PvQh94bK57I1wiP3aUD3zc6uqu93PgeaY/KiqLlsUJaDu52B8oNsJWibliBs3sZIYwM4AONVM3jOrdeWCvVrFm2FFlBBgt42EkJ2dt/9Cf0k1p08FyKx6PIbkEKAp2kv7KgOTykZmQwg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=SnNsvgTqkTLh3BMQzoZykEaeUdc8oO/nqVMsBWcIEfw=;
 b=XI8Z52t+a3fPMA0sQlFS7BLARBok2JCTAwJhugVczt7IbJ5oL6pyE9tk0EtIIMhxJ3ouhQENOnHLw+v2d3pi/luGbTT1CddDsm6/4h6Y8MaXfLHSZ3vJF46YRexSVRPp9mffmEOXsM53Cz+6Z5RlyhgH5K2q21bQg9eWDj8KFC6m8JPuL3BOZvHXSDI7NcJEoiHHShEOPC79z4ZMtINiQFudYTLUCqhk+9vNRaTd3/vv7qJKG3rdTeC/iDBEJ+b0/DpOVqJR1mpZj2noZzpkYy1GWSoR7cK4YmDaizdgV7gLjUapv46/BDlzHxR2LUrIW4OOwMIhqKOMh9EBS+OBOw==
Received: from HE1EUR04FT022.eop-eur04.prod.protection.outlook.com
 (2a01:111:e400:7e0d::4c) by
 HE1EUR04HT022.eop-eur04.prod.protection.outlook.com (2a01:111:e400:7e0d::180)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18; Wed, 10 Jun
 2020 21:11:10 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e0d::43) by HE1EUR04FT022.mail.protection.outlook.com
 (2a01:111:e400:7e0d::281) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3088.18 via Frontend
 Transport; Wed, 10 Jun 2020 21:11:10 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3066.023; Wed, 10 Jun 2020
 21:11:09 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTSAAETYFYAALx5ggAH8/gw=
Date: Wed, 10 Jun 2020 21:11:09 +0000
Message-ID: <VI1PR10MB2800B2C5F05EE46D4D71180080830@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN>,<833674710g.fsf@HIDDEN>
In-Reply-To: <833674710g.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:7E5F75550FCD9465176FA0D6094037F31CFDE80EEF1F23A2D6832110E9CD3556;
 UpperCasedChecksum:438FE4B293E08C2D9F637C7AE1419A8285A92273EEEFDB5E23F912255B1F1898;
 SizeAsReceived:7388; Count:46
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [I7Yo3w0LjZ5Yl2J+XMiH9R92QCLaDxig]
x-ms-publictraffictype: Email
x-incomingheadercount: 46
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: beb4accd-faec-4b32-a323-08d80d82cc71
x-ms-traffictypediagnostic: HE1EUR04HT022:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: ASLjLKPoI28OzlmXQnVlwBSPlRpbAnIseoSmCz5N8JBRRztCF2do42nDXsBHSw6vwDOAlURpjQwOD1LzJbUlm5wVjfeMEsr0RlljYSAlDZwOtjN5WOu0rt8292Oj87kLA3QxzvdAEPuXu9/7ouL9Es2rqKqfpLYHzK3MahEJCYkXtN4DGcHSn0FuVfAl3ZuIZo5ay5s5QIN0688MRG9bHQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: FIW/TcgmRE2o/y3//oK8syV96eCgLdnPnQoC1H0ykc2+bwj8dS53hr/VMG3+354PD9evLpkUpb3EHfu7re2fKHOkmwCydqHOmNFOdf1ATR9HC7Lt3ezethL16VRtGnmOYvqpoy+9I5VO4UlBl7Vm3w==
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_VI1PR10MB2800B2C5F05EE46D4D71180080830VI1PR10MB2800EURP_"
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: beb4accd-faec-4b32-a323-08d80d82cc71
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 Jun 2020 21:11:09.8694 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HE1EUR04HT022
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 41766
Cc: "juri@HIDDEN" <juri@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 "dgutov@HIDDEN" <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--_002_VI1PR10MB2800B2C5F05EE46D4D71180080830VI1PR10MB2800EURP_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Hi,

I now something to the manual, NEWS and changed the doc string + commit msg=
 as advised. I decided on defcustom in the end because this way it is easy =
for the user to figure out what goes wrong in case he/she modifies grep-com=
mand and highlighting is missing. Hope that is fine.

Pls let me know if there is anything else I need to change.

Thanks!

________________________________________
From: Eli Zaretskii <eliz@HIDDEN>
Sent: 09 June 2020 15:43
To: Basil L. Contovounesios
Cc: Simon.lang@HIDDEN; 41766 <at> debbugs.gnu.org; dgutov@HIDDEN; juri@l=
inkov.net
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Tue, 09 Jun 2020 12:55:25 +0100
> Cc: "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
>  Dmitry Gutov <dgutov@HIDDEN>, Juri Linkov <juri@HIDDEN>
>
> I wonder, though: the default value matches some quite obscure codes
> which aren't (and maybe shouldn't be) documented, so is a defcustom
> really suitable for this?

They are SGR escape sequences that Grep emits to color its output.  We
should probably mention that in the doc string.

--_002_VI1PR10MB2800B2C5F05EE46D4D71180080830VI1PR10MB2800EURP_
Content-Type: application/octet-stream;
	name="0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch"
Content-Description:  0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch
Content-Disposition: attachment;
	filename="0001-lisp-progmodes-grep.el-grep-match-regexp-New-variabl.patch";
	size=3140; creation-date="Wed, 10 Jun 2020 21:10:23 GMT";
	modification-date="Wed, 10 Jun 2020 21:10:23 GMT"
Content-Transfer-Encoding: base64
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--_002_VI1PR10MB2800B2C5F05EE46D4D71180080830VI1PR10MB2800EURP_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 14:44:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 10:44:12 2020
Received: from localhost ([127.0.0.1]:60560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jifU3-0002ln-QT
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:44:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jifU1-0002lX-HO
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:44:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42682)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jifTv-0004yA-E5; Tue, 09 Jun 2020 10:44:03 -0400
Received: from [176.228.60.248] (port=1808 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jifTu-0000EG-MH; Tue, 09 Jun 2020 10:44:03 -0400
Date: Tue, 09 Jun 2020 17:43:43 +0300
Message-Id: <833674710g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
In-Reply-To: <87h7vkihci.fsf@HIDDEN> (contovob@HIDDEN)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41766
Cc: juri@HIDDEN, 41766 <at> debbugs.gnu.org, Simon.lang@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: "Basil L. Contovounesios" <contovob@HIDDEN>
> Date: Tue, 09 Jun 2020 12:55:25 +0100
> Cc: "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
>  Dmitry Gutov <dgutov@HIDDEN>, Juri Linkov <juri@HIDDEN>
> 
> I wonder, though: the default value matches some quite obscure codes
> which aren't (and maybe shouldn't be) documented, so is a defcustom
> really suitable for this?

They are SGR escape sequences that Grep emits to color its output.  We
should probably mention that in the doc string.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 14:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 10:32:12 2020
Received: from localhost ([127.0.0.1]:60544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jifIS-0002SC-3S
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:32:12 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:53744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jifIQ-0002Rz-F1
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:32:11 -0400
Received: by mail-wm1-f66.google.com with SMTP id l26so3033496wme.3
 for <41766 <at> debbugs.gnu.org>; Tue, 09 Jun 2020 07:32:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=6U/ALbeLlWzAiEYXywZKhl+9NZ7dnun2Q+bg4cMNI98=;
 b=SbIdKFReMjy6bNEOKG1EHjG0ELpE6LQl93CWGqHIwXxW5Zn25mNr5H54EJ+DkQ5qow
 RFbWOcE0Lz56s4pU5i+B2CICqtBeeHVxBiN38DAVXzRalibmvCnGhDptbY60LTpG2SQ1
 WqkVr+aFp/FvKF3rtEwefLJp/6nSdXV7+lVlgyWEPRBSJCIQqDe+vm7TuCJSnDIQ0pCK
 CdiRX5eHzcKV3gWLvSMUiLY9NQqh5Jj2p9KARfZx4vhpJ7YKogsW36cDe/2K5V3ydS5S
 jMn2LbVCMbT1SjzL0lUQk8aHUn/cbcmuGT1vZldyfaNJJFTq7nvbWrrZyseXpeNeYjcL
 Ox4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=6U/ALbeLlWzAiEYXywZKhl+9NZ7dnun2Q+bg4cMNI98=;
 b=tFiOfIdLzy1b1QuRcD73IvD0HbLGvlSqOyXbg3karnxkEbh1V1SkG9VmONLEneMETe
 qK+H41SBimgJRpT1ghXiQIF1VAnOWwn4uFoSiBxlFkgpmQF8lG25qv90ujZ72tnCfcqy
 v4syhIrk7/w/vM6ATu5ZlKQOO1CdVxwj+mnKiVDECOWaRNQ4kGpBLiJ4n32aB95SerKr
 aokBy3CHmwT6kb8JPbIH98/dTp4vilVbc9rOuVbXsvl9LZIkPlTS64tjcWol9hzA7Hc+
 gZ73vhxnveazcQdc+bkkD3yidoNBdRliW1bDuup0E4jSf+4GJ27wznjprUeyYEfbRaBg
 XRXg==
X-Gm-Message-State: AOAM531dBJUb1GvdJ5fec0fg46CkoJBmL4zQyvrV0R+6QytHOb1ALNfC
 qeDIh9sdW2xGF1iB54arrBzCDA==
X-Google-Smtp-Source: ABdhPJwhToXuO2NZFYkbm8ri2GFWal8r8qk2FayuQ1HdeUGTTDJjKz3g9q9Hajph37eSDemlhHbT9w==
X-Received: by 2002:a05:600c:2945:: with SMTP id
 n5mr4679844wmd.189.1591713123683; 
 Tue, 09 Jun 2020 07:32:03 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id r4sm3582214wro.32.2020.06.09.07.32.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Jun 2020 07:32:02 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Simon Lang <Simon.lang@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 <87h7vkihci.fsf@HIDDEN>
 <VI1PR10MB2800DF45CDE71860F46DA91180820@HIDDEN>
Date: Tue, 09 Jun 2020 15:32:01 +0100
In-Reply-To: <VI1PR10MB2800DF45CDE71860F46DA91180820@HIDDEN>
 (Simon Lang's message of "Tue, 9 Jun 2020 12:45:18 +0000")
Message-ID: <87y2owgvj2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41766
Cc: Juri Linkov <juri@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Simon Lang <Simon.lang@HIDDEN> writes:

> I am happy with defvar instead (attached - I changed the commit message
> accordingly). I admit it would not be straight forward to customize anyway
> without doing some research.

Thanks, just some convention tips from me.

> From 724d83a211aae922b719a28cc4f9cc75d88cc4ee Mon Sep 17 00:00:00 2001
> From: Simon Lang <simon.lang@HIDDEN>
> Date: Tue, 9 Jun 2020 13:38:07 +0100
> Subject: [PATCH] Remove hardcoding of regexp used to highlight grep matches.
>
> * lisp/progmodes/grep.el

See etc/CONTRIBUTE for commit message conventions.
In particular, it should list the definitions being changed, e.g.:

* lisp/progmodes/grep.el (grep-match-regexp): New variable.
(grep-filter): Use it.

> ---
>  lisp/progmodes/grep.el | 6 +++++-
>  1 file changed, 5 insertions(+), 1 deletion(-)
>
> diff --git a/lisp/progmodes/grep.el b/lisp/progmodes/grep.el
> index 7731be5965..618c2935f0 100644
> --- a/lisp/progmodes/grep.el
> +++ b/lisp/progmodes/grep.el
> @@ -353,6 +353,10 @@ Notice that using \\[next-error] or \\[compile-goto-error] modifies
>  (defvar grep-match-face	'match
>    "Face name to use for grep matches.")
>  
> +(defvar grep-match-regexp "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regular expression matching grep markers to highlight, used
> +in `grep-filter'.")

The first sentence of every docstring should fit on one line;
see (info "(elisp) Documentation Tips").  So you could move the mention
of grep-filter into a sentence of its own.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 14:24:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 10:24:52 2020
Received: from localhost ([127.0.0.1]:60521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jifBM-0002EG-Ed
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:24:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jifBL-0002E4-G4
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:24:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42300)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jifBG-0001Iy-33; Tue, 09 Jun 2020 10:24:46 -0400
Received: from [176.228.60.248] (port=4598 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jifBF-0006AA-8D; Tue, 09 Jun 2020 10:24:45 -0400
Date: Tue, 09 Jun 2020 17:24:27 +0300
Message-Id: <83ftb471wk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simon Lang <simon.lang@HIDDEN>
In-Reply-To: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 (message from Simon Lang on Mon, 8 Jun 2020 20:25:06 +0000)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41766
Cc: 41766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simon Lang <simon.lang@HIDDEN>
> Date: Mon, 8 Jun 2020 20:25:06 +0000
> 
> +(defcustom grep-regexp-match "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regex definition to identify grep markers to highlight matches.")

Please don't forget the :version tag and the NEWS and the manual
updates.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 14:09:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 10:09:01 2020
Received: from localhost ([127.0.0.1]:60488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiew0-0001mI-W0
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:09:01 -0400
Received: from mail-oln040092071074.outbound.protection.outlook.com
 ([40.92.71.74]:32122 helo=EUR03-DB5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jidd7-0007p4-91
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 08:45:25 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=bbxVW+ny7qVb8CsebqnKJk3vdeEZvXcLC9HGKBz1SGT7VsPufLwVVwsuXVIOsFT9PEXrhl3mrB84GPLom67twUGj3PPqq0lL3JdHO5E+dXhyEaDhmqdrfyu9ZBOMZZxYmK07rHuLww9crO5pDMzotTLXXgrEDHi7h23aSl/+kZj75lyA8CdsvTK3n2pFh1Bg/ws7QI5G2tUBf9+sz+rZgwrupmxEFfo0apDNEEJ6PdXuYkfIt0IAcc/nLaJbwT+yB3REm4dH7rqBU1F0TJwWJ3tIxHrA3IPOpeOn42ztaRT6S+5j5tTIYWdRAab102tpvy9//Q0DpB48IGlcfeInmg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+ttjhXAgU1q1R7sbcIUnbnpK0z+6v18jKvKo2s9cxhc=;
 b=V7cwXg+TP+qEOcacqp7zvxv1WuzHX1rqO8z+lIaTmunpBvLaI/9ubaXeVLC0OhKgciCsHyyIWkcF9bWE/3xH0ufjHpjUpTP25vEHKKNNh7e1uqTqDouoyLhXxo2K/BI7Z+RyemIiBLpi6s2WTjYCAJ4OsaWLzBeul2nrfYfHazq1wF2dGXziW9b1w6K6KDbYxnj+ufV5eY63+6/RuY4ySLe3dnnlWXuV+ZTOynHaJfzqa15YcpE0dkOY9GOW4DhCBEuyj8QiJIhDWR5+WJAe8+Fxy28QdKAJDv58SwBiG+HOj5Ub+OZMTMT5i1ATusoObjm/zXZ+/fUXNqKHSS6lZQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+ttjhXAgU1q1R7sbcIUnbnpK0z+6v18jKvKo2s9cxhc=;
 b=hoZ1tfXGgi5chCTdTYdul2gxkMzR6w+iFQsZYCtnlnTKmWd0cf2wPYS/h6GTOv339+Qmo6kqT7iEOdRSq9DcgKQ5rMhrz7oofKCSTfGzX8OY2iUhiEBrtOzmoZDAx0No5bfqO1+bIaLlF0ck8wA0yqbs9wtcHEMVDoRpxgI83LUw3R6V1Y3y79Ur5R6tH7fuadpxQ3WamubvhqtN66rUsuroMzjO2tIMd9NeS+2qxVRqHQIctIgmH2EeNDhPlxbvx4xUXljb0e2kM7lacXOVneYy8gUE5IDWzs1uIxkmRt2C9A+lEYga2+Be/p4u+jQ5WK5xHExu5Z9bimI6gcXjzg==
Received: from DB5EUR03FT003.eop-EUR03.prod.protection.outlook.com
 (2a01:111:e400:7e0a::4e) by
 DB5EUR03HT005.eop-EUR03.prod.protection.outlook.com (2a01:111:e400:7e0a::78)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18; Tue, 9 Jun
 2020 12:45:18 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e0a::45) by DB5EUR03FT003.mail.protection.outlook.com
 (2a01:111:e400:7e0a::157) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18 via Frontend
 Transport; Tue, 9 Jun 2020 12:45:18 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3066.023; Tue, 9 Jun 2020
 12:45:18 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTSAAETYFYAADN32
Date: Tue, 9 Jun 2020 12:45:18 +0000
Message-ID: <VI1PR10MB2800DF45CDE71860F46DA91180820@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>,
 <87h7vkihci.fsf@HIDDEN>
In-Reply-To: <87h7vkihci.fsf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:120BDF4BA6F4E16F5228954F9D410CEB7C453852B68D165AA324932449985406;
 UpperCasedChecksum:3B704E9A689D080420A2EB3F52A38056CADACF4AAA9B35AB0050BACA4B9BC82C;
 SizeAsReceived:7298; Count:46
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [ecDX0ooUEQ6lBarUqAaBEMRUY0OU6XY1]
x-ms-publictraffictype: Email
x-incomingheadercount: 46
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 8f9cbbfa-c321-447a-4623-08d80c72f739
x-ms-traffictypediagnostic: DB5EUR03HT005:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: pK+cPmMfVcMQ7NpJMQg+xoQjQVazFiX85ngo/fn/b9nVH7TtjMvDh4AQFsT+fZVnhD36ZfUdvuKYjmnAiBaN0EADQRsHxgPno+5awDLwOGyxFZpc/fcGqhFVvOj65Pw4gH41pij1OoumykCcEs2i6jYqgYK73czNWqY6XBNBViSBZqX36tJ4YCDS0Sn4J5ImcHhAu/2MTzU3WwYNXcdIfw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: pm0p1gUPZaFlfcwbjstzi5rCmByNaToH7ol0EPf6PLpK05LN7k43/ar7BCtD7ZWqb5Ao26DWWldhF6x8IhuebkKhbCMJVFfHztO0q05l8P2ro46yS7b4YNPftm/UNHL9jMTzUCfKqDEXi31mo5iRYg==
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_VI1PR10MB2800DF45CDE71860F46DA91180820VI1PR10MB2800EURP_"
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 8f9cbbfa-c321-447a-4623-08d80c72f739
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Jun 2020 12:45:18.5386 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB5EUR03HT005
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
X-Mailman-Approved-At: Tue, 09 Jun 2020 10:08:54 -0400
Cc: Juri Linkov <juri@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--_002_VI1PR10MB2800DF45CDE71860F46DA91180820VI1PR10MB2800EURP_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

I am happy with defvar instead (attached - I changed the commit message acc=
ordingly). I admit it would not be straight forward to customize anyway wit=
hout doing some research.

Thanks!


________________________________________
From: Basil L. Contovounesios <contovob@HIDDEN>
Sent: 09 June 2020 12:55
To: Simon Lang
Cc: Dmitry Gutov; 41766 <at> debbugs.gnu.org; Juri Linkov
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

Simon Lang <Simon.lang@HIDDEN> writes:

> From bc9b736ff20a03e831bc5110283ccf9241127773 Mon Sep 17 00:00:00 2001
> From: Simon Lang <simon.lang@HIDDEN>
> Date: Mon, 8 Jun 2020 20:47:08 +0100
> Subject: [PATCH] Make regexp used to highlight grep matches customizable
>
> * lisp/progmodes/grep.el
> ---
>  lisp/progmodes/grep.el | 5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)
>
> diff --git a/lisp/progmodes/grep.el b/lisp/progmodes/grep.el
> index 7731be5965..3f0c99f6dc 100644
> --- a/lisp/progmodes/grep.el
> +++ b/lisp/progmodes/grep.el
> @@ -100,6 +100,9 @@ To change the default value, use \\[customize] or cal=
l the function
>    :set #'grep-apply-setting
>    :version "22.1")
>
> +(defcustom grep-match-regexp "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regex definition to identify grep markers to highlight matches.")

Nit: How about "Regular expression matching grep markers to highlight."

Every defcustom also needs:

  :type 'regexp
  :version "28.1"

as well as possibly being announced in etc/NEWS.

I wonder, though: the default value matches some quite obscure codes
which aren't (and maybe shouldn't be) documented, so is a defcustom
really suitable for this?  Or would a defvar suffice?  (I don't have
strong feelings either way.)

Thanks,

--
Basil

--_002_VI1PR10MB2800DF45CDE71860F46DA91180820VI1PR10MB2800EURP_
Content-Type: application/octet-stream;
	name="0001-Remove-hardcoding-of-regexp-used-to-highlight-grep-m.patch"
Content-Description:  0001-Remove-hardcoding-of-regexp-used-to-highlight-grep-m.patch
Content-Disposition: attachment;
	filename="0001-Remove-hardcoding-of-regexp-used-to-highlight-grep-m.patch";
	size=1429; creation-date="Tue, 09 Jun 2020 12:42:33 GMT";
	modification-date="Tue, 09 Jun 2020 12:42:33 GMT"
Content-Transfer-Encoding: base64

RnJvbSA3MjRkODNhMjExYWFlOTIyYjcxOWEyOGNjNGY5Y2M3NWQ4OGNjNGVlIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTaW1vbiBMYW5nIDxzaW1vbi5sYW5nQG91dGxvb2suY29tPgpE
YXRlOiBUdWUsIDkgSnVuIDIwMjAgMTM6Mzg6MDcgKzAxMDAKU3ViamVjdDogW1BBVENIXSBSZW1v
dmUgaGFyZGNvZGluZyBvZiByZWdleHAgdXNlZCB0byBoaWdobGlnaHQgZ3JlcCBtYXRjaGVzLgoK
KiBsaXNwL3Byb2dtb2Rlcy9ncmVwLmVsCi0tLQogbGlzcC9wcm9nbW9kZXMvZ3JlcC5lbCB8IDYg
KysrKystCiAxIGZpbGUgY2hhbmdlZCwgNSBpbnNlcnRpb25zKCspLCAxIGRlbGV0aW9uKC0pCgpk
aWZmIC0tZ2l0IGEvbGlzcC9wcm9nbW9kZXMvZ3JlcC5lbCBiL2xpc3AvcHJvZ21vZGVzL2dyZXAu
ZWwKaW5kZXggNzczMWJlNTk2NS4uNjE4YzI5MzVmMCAxMDA2NDQKLS0tIGEvbGlzcC9wcm9nbW9k
ZXMvZ3JlcC5lbAorKysgYi9saXNwL3Byb2dtb2Rlcy9ncmVwLmVsCkBAIC0zNTMsNiArMzUzLDEw
IEBAIE5vdGljZSB0aGF0IHVzaW5nIFxcW25leHQtZXJyb3JdIG9yIFxcW2NvbXBpbGUtZ290by1l
cnJvcl0gbW9kaWZpZXMKIChkZWZ2YXIgZ3JlcC1tYXRjaC1mYWNlCSdtYXRjaAogICAiRmFjZSBu
YW1lIHRvIHVzZSBmb3IgZ3JlcCBtYXRjaGVzLiIpCiAKKyhkZWZ2YXIgZ3JlcC1tYXRjaC1yZWdl
eHAgIlwwMzNcXFswPzE7MzFtXFwoLio/XFwpXDAzM1xcW1swLTldKm0iCisgICJSZWd1bGFyIGV4
cHJlc3Npb24gbWF0Y2hpbmcgZ3JlcCBtYXJrZXJzIHRvIGhpZ2hsaWdodCwgdXNlZAoraW4gYGdy
ZXAtZmlsdGVyJy4iKQorCiA7OzsjIyNhdXRvbG9hZAogKGRlZmNvbnN0IGdyZXAtcmVnZXhwLWFs
aXN0CiAgIGAoKCwoY29uY2F0ICJeXFwoPzoiCkBAIC01ODQsNyArNTg4LDcgQEAgVGhpcyBmdW5j
dGlvbiBpcyBjYWxsZWQgZnJvbSBgY29tcGlsYXRpb24tZmlsdGVyLWhvb2snLiIKICAgICAgICh3
aGVuICg8IChwb2ludCkgZW5kKQogICAgICAgICAoc2V0cSBlbmQgKGNvcHktbWFya2VyIGVuZCkp
CiAgICAgICAgIDs7IEhpZ2hsaWdodCBncmVwIG1hdGNoZXMgYW5kIGRlbGV0ZSBtYXJraW5nIHNl
cXVlbmNlcy4KLSAgICAgICAgKHdoaWxlIChyZS1zZWFyY2gtZm9yd2FyZCAiXDAzM1xcWzA/MTsz
MW1cXCguKj9cXClcMDMzXFxbWzAtOV0qbSIgZW5kIDEpCisgICAgICAgICh3aGlsZSAocmUtc2Vh
cmNoLWZvcndhcmQgZ3JlcC1tYXRjaC1yZWdleHAgZW5kIDEpCiAgICAgICAgICAgKHJlcGxhY2Ut
bWF0Y2ggKHByb3BlcnRpemUgKG1hdGNoLXN0cmluZyAxKQogICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICdmYWNlIG5pbCAnZm9udC1sb2NrLWZhY2UgZ3JlcC1tYXRjaC1mYWNl
KQogICAgICAgICAgICAgICAgICAgICAgICAgIHQgdCkKLS0gCjIuMjEuMCAoQXBwbGUgR2l0LTEy
MikKCg==

--_002_VI1PR10MB2800DF45CDE71860F46DA91180820VI1PR10MB2800EURP_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 14:09:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 10:09:00 2020
Received: from localhost ([127.0.0.1]:60486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jievz-0001mA-R6
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 10:09:00 -0400
Received: from mail-oln040092070086.outbound.protection.outlook.com
 ([40.92.70.86]:27902 helo=EUR03-AM5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jidZH-0007iy-Vf
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 08:41:28 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=TopOU9O///QiRpSczatzGE+wBf/rEWwWwi4y7ZQxZtMw72n06xLXltdvlnteytBhKBD3iErIY8eXBabJ5FMododALymrcWKvR9x2Uo89CM1NIqdijqP/2s9Fatc9yWtYex1z77VfIzMYi5SKyDcrb2qAc6KSH/9ImGExFOmTufFWry5PInq1i2/6H09MjgREHoiaoZi7kHjsFG6LO6fxoa+QJPAKLSj5l2Mko/XUA5F6VYgypoyndU6HCwLslkAmEHBoeA10Pdr57O0IB8LutjI60+yXnWgHLxD1/ZKfD/aIss9ltuGWNGzA6uXrq1UP/UPssuYQn7y40fJG+vH/dA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=JXyXpCqHqqqabRu+YS7oA1aqcSKEHXG4+RdYGMqwebg=;
 b=HkMkFN+mjbsuyqwlpFFilve/XXanSkZHrogCi8LHpRvAmTEB5zzZviM/wuR1nBeCH5amRAJHIK0XrczvdGNYROjsA6lefhLxleAStLdpdNC+O/CA3XedgX2TFWtrdm0tePvjvQuRU04+SO7YWqcfk/l2IakzxUg5T9rjDb5sh7t6ZQu0RKPbgcZhxm2YwIPlTlTCuuocYxr7pEhjHZxcf2KBptx8KumHaZC+GN5w+DZOmvO2NY9mMorHLm7rGrPUqll10/W5Am/YkyzQuuJTdeh1MknSyPkcqZuk/h7e1igOlVBEx65xr8aOq2H5VXjq1OZGmWKPtOsXZeIShlfXXQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=JXyXpCqHqqqabRu+YS7oA1aqcSKEHXG4+RdYGMqwebg=;
 b=eIStkpVra+wRDXwItwb3M+giC0QNeClOfh5ISW5VcC+VtMZfIRovroCUHesEjV5qYeWVCN8Yrpsh504AbPXxBxU6cVsKhjaP1jLynS4IDIBvyL7NFmOkpgKqvWU3+f18V4+1dFJvn/H16Sm9260aFjA5DGaOxERzT9NxnBumjGW+lSKPEpPMnZsTK+WOOogypU3gY++kvIyrSlDLKHL+7xa8QngQt71hLu95DDOS+zUfVRvublv59x6kHOEirhc7AVihwJhlYtTSfCOQ69ZtX1cX4VAlowEkv3pfgLh7y6UoSPeT/nWYDQwY6Kx4KZ/LBUJIR+qZkCoMw/wnG002+A==
Received: from DB5EUR03FT003.eop-EUR03.prod.protection.outlook.com
 (2a01:111:e400:7e0a::45) by
 DB5EUR03HT236.eop-EUR03.prod.protection.outlook.com (2a01:111:e400:7e0a::186)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18; Tue, 9 Jun
 2020 12:41:21 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e0a::45) by DB5EUR03FT003.mail.protection.outlook.com
 (2a01:111:e400:7e0a::157) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18 via Frontend
 Transport; Tue, 9 Jun 2020 12:41:21 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3066.023; Tue, 9 Jun 2020
 12:41:21 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, "41766 <at> debbugs.gnu.org"
 <41766 <at> debbugs.gnu.org>, Juri Linkov <juri@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTSAAEqLgIAABuz/
Date: Tue, 9 Jun 2020 12:41:21 +0000
Message-ID: <VI1PR10MB2800655F70312093EC430AC680820@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>,
 <a7778689-5e00-8132-5bfa-5e917ee3277e@HIDDEN>
In-Reply-To: <a7778689-5e00-8132-5bfa-5e917ee3277e@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:B041F37AD5A66B992D5ABBA7F323228BB60B4AFE3962745B1A8B6B2649DA4FE7;
 UpperCasedChecksum:F40B42D16558FCC539C57752A29D4886843156FA403DF3A1E783BF8950059507;
 SizeAsReceived:7284; Count:45
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [h2ZsSoIRcMNIsDfDr8mlVoxvZ56l8R2F]
x-ms-publictraffictype: Email
x-incomingheadercount: 45
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 6bcd2d8c-2cb5-40ea-72a8-08d80c726a0c
x-ms-traffictypediagnostic: DB5EUR03HT236:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: HlnIaB4blSkzvkudS/Buh+IiFkpGNP9bx9bF1p6JbfnU5/hIOJ9sjT31O6cbDHHZ37+Ri2esucMTek/6oG3KjCZgUOujQB7T7qYfq1xnzwqxUJ/YdmVZKub6wRsM+gLdFbs9VFIJl5OirmHHoCsnMI9ByEJFyw0oj04hK953xoGHMfsuQK0y4iQhbitgn5ZyjoFyb7kKu+2HHMS7mRyAZw==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: b6pataW/Gq8pD4b+GSRBKb7bAoR8o9rfu8dpUxuHU5980ChwhRvZSq9TsMSqFdjfnBMjzFiRWlFqAjVAt8R9lEFxb/Kk1qwK/mPnt8DrWVy4mp4emjKBWXznz3yRygW8gH7pImaC+q/IyiRkND1ofA==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 6bcd2d8c-2cb5-40ea-72a8-08d80c726a0c
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Jun 2020 12:41:21.6811 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB5EUR03HT236
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
X-Mailman-Approved-At: Tue, 09 Jun 2020 10:08:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

True, I think you're right.

Cheers,

Simon

________________________________________
From: DG <raaahh@HIDDEN> on behalf of Dmitry Gutov <dgutov@HIDDEN>
Sent: 09 June 2020 13:15
To: Simon Lang; 41766 <at> debbugs.gnu.org; Juri Linkov
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

On 09.06.2020 10:58, Simon Lang wrote:
> Pls note that ripgrep knows about ignore files etc.

But not when passed specific file names on the command line, right?
Which is what xargs does.

Sorry, it's a tangent from your patch's discussion. It looks good to me,
but I'd rather defer the review to someone else.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 12:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 08:16:04 2020
Received: from localhost ([127.0.0.1]:59195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jidAh-00070E-RS
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 08:16:03 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:32907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1jidAf-0006zU-LS
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 08:16:03 -0400
Received: by mail-wr1-f46.google.com with SMTP id l11so21055109wru.0
 for <41766 <at> debbugs.gnu.org>; Tue, 09 Jun 2020 05:16:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=ypSQq14TP/QrZcQu8I0vFEH7zxxia3HO3ANzN5rnk9w=;
 b=vMKLbA5HzJEdxHpStasb4DB88zUCM/ATelJRzWyuuwligih5ds/F7kKFR8le4k7lcG
 6eM4LkUQsphX4uYIHSUjY8N34Hv5wiEspECrsp/rYFLWGF4jyg4e58R4nWCv2WX30C1M
 5qH7P2S+R/6eHMQSDkPcdpOX1hvQ6QQh6xwDFq/OeGPR8qiICEqdgp75VXfmLzYOuhTV
 CQdcUgAilfsM9s6C1AvOs0ZBZpIX55iUGGziMKExqhFScneKs2eAsmHce3Rg1O5/ZHTH
 pSHzrYEzhheqiD41Qd4dl5rG/TcJTqjJ+3mv9SxNTV4UOxNlP6noYJyhQ6E2YPYkwpoa
 ioNg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=ypSQq14TP/QrZcQu8I0vFEH7zxxia3HO3ANzN5rnk9w=;
 b=CvMwGb1ULt+Mr5elE8SzKQOego5bHgXSM0rV3hLHHCYBOrawO2ERaNjIGMrS33rbNq
 BdPO/UTwrZJWn++/MlOgd1xOUA4ROkRW3hZ0nlSha572vThBk31Z409oNXUEmrhJAZS1
 5Wo30uq4Fp1wKslFM5x0aMNnYXA2sw1eyQBIrr7j4LqmZkY5ErAxXM2kMTA3kcmCoxSp
 Ko4fxTfeMfN+/65b13vTbU58yh/L+qrVQcn50tR7TIaT8e0PauotETX1cUC6s0A68CWl
 VEoM9F1ztDRXmpGAqWCYWSGKehSB00YPAiA5Tp1RQQBC0bl2aiRV5UCzB8jGCUYf+lAt
 3WJQ==
X-Gm-Message-State: AOAM5332XyDtaVcfia/nocV40cTDOgIYy62vXjv1aEKEFom2r458zvWx
 p5WV8KYcKRTGJz8yVijL0pc=
X-Google-Smtp-Source: ABdhPJyUCZfFKUYxAfRBe5Rra/vWbEz3zKbOKvKCvhdDBy5eO3/sQNqIa94d7F8OLoiXAjc3ARcI4A==
X-Received: by 2002:a5d:5270:: with SMTP id l16mr4143922wrc.80.1591704955798; 
 Tue, 09 Jun 2020 05:15:55 -0700 (PDT)
Received: from [192.168.0.3] ([66.205.73.129])
 by smtp.googlemail.com with ESMTPSA id d11sm3182947wrm.64.2020.06.09.05.15.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 09 Jun 2020 05:15:54 -0700 (PDT)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
To: Simon Lang <Simon.lang@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Juri Linkov <juri@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a7778689-5e00-8132-5bfa-5e917ee3277e@HIDDEN>
Date: Tue, 9 Jun 2020 15:15:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
In-Reply-To: <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41766
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 09.06.2020 10:58, Simon Lang wrote:
> Pls note that ripgrep knows about ignore files etc.

But not when passed specific file names on the command line, right? 
Which is what xargs does.

Sorry, it's a tangent from your patch's discussion. It looks good to me, 
but I'd rather defer the review to someone else.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 11:55:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 07:55:35 2020
Received: from localhost ([127.0.0.1]:59168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jicqt-0006UI-07
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 07:55:35 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:51019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1jicqs-0006U6-18
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 07:55:34 -0400
Received: by mail-wm1-f51.google.com with SMTP id l17so2565377wmj.0
 for <41766 <at> debbugs.gnu.org>; Tue, 09 Jun 2020 04:55:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=XYFYMjP6JfEr/2dtJJw4WjPL8gg5QXQF680jz28iCuE=;
 b=dtp4BRDiZZ6hcbPI7SbwkWRGuO+tHVCuchwpCw9f7sxdi5n5kpBFnHI5UdwU6fSvGf
 24rmh3hbAKONXyYLHwk5HNU5LbqSp0PQqbrmvIdmp39BptMGwVZGc/ygPxgKjjKxbhRo
 S4WOZujM4QYnKoub0nqb5RDdAM+Lk2KH74utLPSlmH8KP7xlc+hVhcuf99Nfb4h9VbU1
 9ycIvvpmVCu2B5ljVlaQrPPpSKP2GMXMqiCP0t0lb2vwIJnGg8i1okicSAaB3Un28RVw
 4bLjQahZw4zHaMVlYEATyqvDWVEK3Z3Mz1r4I5SSjh/kSd6ng048Ad1gbousE7TxxXr6
 QnFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=XYFYMjP6JfEr/2dtJJw4WjPL8gg5QXQF680jz28iCuE=;
 b=o8r/eVk0NX0m5ODnpFaCcEhkG2jgjROJ34JfcItUtaAxVRseNgU3Gja4t4I8BoZdUc
 BVnCZNTwQVqfo1fyBj8S7ncmJ8lRHVsjUFnQLWzZMVmmQuEQdGgxDIJFwupb/U8ppOew
 iUv42mNlsR1q1xSXCYlInC2VsY3Tdnvc+OXbyK35C9NTM3NUQX1eqpDHEBWb1OpPTRRm
 HTBLxL4OOS2dGwmdsMyTUxgljb2QaXajBJELHRBYxg1xiLwjrvXMlRQOvE1VTYtTLeOX
 dMUXL+E7H3xDck8pZhTxcS2Y+FsbEI9VGYXE2xrezUU6fmwJaQlIG2sR1iY8LFzWoldC
 4zmg==
X-Gm-Message-State: AOAM533f2ATT0ogU8Ot1s+dBsFGFRqAPlttEc1G/zD4RJk18A+fVPIfw
 drUaGBsmY0FOoyg4jheJoxp61A==
X-Google-Smtp-Source: ABdhPJw7zfjtJDc2B7zRwcIz32E3b4qOQRWKWb5PlCpy8SpiURoITZ+hHUTFmS5WZmPXc4KlpOEvfQ==
X-Received: by 2002:a1c:4c8:: with SMTP id 191mr3564749wme.14.1591703728141;
 Tue, 09 Jun 2020 04:55:28 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id u4sm2657011wmb.48.2020.06.09.04.55.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Jun 2020 04:55:27 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Simon Lang <Simon.lang@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
 <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
Date: Tue, 09 Jun 2020 12:55:25 +0100
In-Reply-To: <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
 (Simon Lang's message of "Tue, 9 Jun 2020 07:58:06 +0000")
Message-ID: <87h7vkihci.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41766
Cc: Juri Linkov <juri@HIDDEN>,
 "41766 <at> debbugs.gnu.org" <41766 <at> debbugs.gnu.org>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Simon Lang <Simon.lang@HIDDEN> writes:

> From bc9b736ff20a03e831bc5110283ccf9241127773 Mon Sep 17 00:00:00 2001
> From: Simon Lang <simon.lang@HIDDEN>
> Date: Mon, 8 Jun 2020 20:47:08 +0100
> Subject: [PATCH] Make regexp used to highlight grep matches customizable
>
> * lisp/progmodes/grep.el
> ---
>  lisp/progmodes/grep.el | 5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)
>
> diff --git a/lisp/progmodes/grep.el b/lisp/progmodes/grep.el
> index 7731be5965..3f0c99f6dc 100644
> --- a/lisp/progmodes/grep.el
> +++ b/lisp/progmodes/grep.el
> @@ -100,6 +100,9 @@ To change the default value, use \\[customize] or call the function
>    :set #'grep-apply-setting
>    :version "22.1")
>  
> +(defcustom grep-match-regexp "\033\\[0?1;31m\\(.*?\\)\033\\[[0-9]*m"
> +  "Regex definition to identify grep markers to highlight matches.")

Nit: How about "Regular expression matching grep markers to highlight."

Every defcustom also needs:

  :type 'regexp
  :version "28.1"

as well as possibly being announced in etc/NEWS.

I wonder, though: the default value matches some quite obscure codes
which aren't (and maybe shouldn't be) documented, so is a defcustom
really suitable for this?  Or would a defvar suffice?  (I don't have
strong feelings either way.)

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 09:23:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 09 05:23:38 2020
Received: from localhost ([127.0.0.1]:58942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiaTq-0000Zp-4D
	for submit <at> debbugs.gnu.org; Tue, 09 Jun 2020 05:23:38 -0400
Received: from mail-oln040092071043.outbound.protection.outlook.com
 ([40.92.71.43]:4371 helo=EUR03-DB5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Simon.lang@HIDDEN>) id 1jiZ9C-0004jh-30
 for 41766 <at> debbugs.gnu.org; Tue, 09 Jun 2020 03:58:14 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cV+SiTDq+PjLIOKVFz73PRVc3DPA5PZg3OF5MM2lu/xI+n9X6AwTzRuJfpLG1omjQIYPnV0/5ZpJeYsjUePsfmKc2nQk1BzIA4keyFkxKMRQLXNfC0+RraxsTfOjUiMiiVaI3sDe+FU6Td1Gey61LqtjPAJy3IJm1bw12+VS+8F+NTPUEDWranja4yPoPXDcbbj87GybVjuJDAnH8+6N9n1onrUoRtnLBzAbp/apwKQo0Dwmk6KJiuBUOP4D/BdIRqP3yE+gOIHcEjnDWBbba4NT+QdZia6p3BVC45equukTO7QTr6N14SQ9s7jspeiHpSvQkYuFrZIersUosJQsiQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=L24FZyXoRabNaNRRxXog+KOJUlGUmWbWpqUJF6YIBNM=;
 b=J/2uvGXDz+UnJvcBFIYP5HfhWkwgOix1BVXB0KMOVHnnJNM5gOgyL3fOiimUsQ9s9G7NQQsynpGbLtGpYi6EUmIpymdqw+kc3QrjRNgMH5rQULhycT9Y0m0iuiAsboDUDlbPh43orqHujD53vhBaps578szl6J1cGB0lYMkbfB+HSeiHF+zpGa9smWmXcVT34pGE1i60CKJi32tiGeddaUOGobwC8iyiW0qvJbERyhh72EoxdOYQR1Ms5ws3/3XOBM8rBvvPMwz32ZJA4rhkh3K2fRcjzsQX1FO85uLrYuk9wl5xXLDndj+uKhABbYV1z7yFTmhO9m75ktNeppQKKg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=L24FZyXoRabNaNRRxXog+KOJUlGUmWbWpqUJF6YIBNM=;
 b=u9B9DFRvz/qAXE5+eWn+ebMLYOQTuQDs6xLCYmoQh7YVHUixKW5SpIDWNuPj51F0w8FpFEaip1Hsd4UNPku5aSXXUTzZN19TKhZgeqe/18ejX499/UobSdEi1r4ze/iJXlXz5oCSvnaXRMkN+ZFuROf5XqIKqnk+UFD4TVgBbP+4/gaQqcVxUAxd9uXfO4POqFY0CJPlbg4JjYIjFZYG+yaxST96SEnrjwuhhAHGPZK6NlLVV7x3fDZQKoQvpBznM+3MADYxuS3opuOs9gtLuPZwnnQ6aFhwrAx96nuVSNFDGiOChKgzWcLTmQ6TNhZ9/wFb+SrFDWUu3cnzw4cR7g==
Received: from DB5EUR03FT042.eop-EUR03.prod.protection.outlook.com
 (2a01:111:e400:7e0a::47) by
 DB5EUR03HT130.eop-EUR03.prod.protection.outlook.com (2a01:111:e400:7e0a::276)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18; Tue, 9 Jun
 2020 07:58:07 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e0a::4e) by DB5EUR03FT042.mail.protection.outlook.com
 (2a01:111:e400:7e0a::379) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18 via Frontend
 Transport; Tue, 9 Jun 2020 07:58:07 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3066.023; Tue, 9 Jun 2020
 07:58:06 +0000
From: Simon Lang <Simon.lang@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, "41766 <at> debbugs.gnu.org"
 <41766 <at> debbugs.gnu.org>, Juri Linkov <juri@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Topic: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlKjPcrmAgAB2jTQ=
Date: Tue, 9 Jun 2020 07:58:06 +0000
Message-ID: <VI1PR10MB28002AD31928468C3F6F13FF80820@HIDDEN>
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>,
 <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
In-Reply-To: <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:605FC921EEB62914336B0129348A3DB0BA7DA2B66E69FBB58635A466D65B892A;
 UpperCasedChecksum:25C9E6A13ACC956C57F098DA76C9B4E94F5E1E82A7DA5743A9426CDC046E9BB9;
 SizeAsReceived:7157; Count:45
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [zQ2dwwAR8KXGNchgD7y3nh0SIPAOsp0C]
x-ms-publictraffictype: Email
x-incomingheadercount: 45
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 1dbbda8d-7692-4347-b1ed-08d80c4ad84e
x-ms-traffictypediagnostic: DB5EUR03HT130:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: JXtq6+R/4e4FnCvNNP+Xq1CGwf7VRdsJ+Tq86WWGHzi+ydoMkYF0A14A42xFwGBsQ5wtK2Cl19RLvkXCqdasQzFB/LTEHPg3R2kXpgSPGvnusKhMwZXP+iaevPBOmPHIm0B4Fkwu+HHdKDELYek+8OFbYlUG3QaGkvAVt1uKcFFYlvsLRqr3vut1NeqxJ7cXFWpe4191dqF8O0ae1+aa8w==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: oizHOtGIemOgjoCAHfmYPQGTIvjXMLQmlNT2T9rwNkW4b7nFvcjUHhmf5iz+yGZM79xdLUfEnX4GJE8wtxvl2FEVO2J7aoBXatofyXaUzAE4Bj29UJ2HN5QfZ9MkEAiBO3jIpaojYrMBfXdYoiQ+nA==
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_VI1PR10MB28002AD31928468C3F6F13FF80820VI1PR10MB2800EURP_"
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 1dbbda8d-7692-4347-b1ed-08d80c4ad84e
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Jun 2020 07:58:06.7635 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB5EUR03HT130
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
X-Mailman-Approved-At: Tue, 09 Jun 2020 05:23:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--_002_VI1PR10MB28002AD31928468C3F6F13FF80820VI1PR10MB2800EURP_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Hi,

I changed grep-regexp-match to grep-match-regexp.

Pls note that ripgrep knows about ignore files etc. hence the more fair com=
parison would probably be git grep (e.g. vc-git-grep). But ripgrep is still=
 considerably faster and does not only work for git repositories.

Thanks!

________________________________________
From: DG <raaahh@HIDDEN> on behalf of Dmitry Gutov <dgutov@HIDDEN>
Sent: 09 June 2020 01:44
To: Simon Lang; 41766 <at> debbugs.gnu.org
Subject: Re: bug#41766: Make it possible to change regexp to identify and h=
ighlight grep matches via customization

On 08.06.2020 23:25, Simon Lang wrote:
> For example:
>
> change  grep command to
>
> "rg -n -H -S --no-heading --color always -e"

I wonder if we can use a similar customization more generally. For
instance, in my testing Grep searches the full Emacs checkout in ~230ms,
whereas RipGrep does that in ~40ms. The difference is perceptible.

The obvious idea is to use grep-template, but we're passing -s and -E to
it. rg would interpret these options differently.

Here's a perftest patch if someone was personally curious about the
difference:

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index 5b5fb4bc47..2c6ed4da7d 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -1262,7 +1262,7 @@ xref-matches-in-files
         (dir (file-name-directory (car files)))
         (remote-id (file-remote-p dir))
         ;; 'git ls-files' can output broken symlinks.
-       (command (format "xargs -0 grep %s -snHE -e %s"
+       (command (format "xargs -0 rg %s -nH -e %s"
                          (if (and case-fold-search
                                   (isearch-no-upper-case-p regexp t))
                              "-i"
@@ -1275,6 +1275,7 @@ xref-matches-in-files
                         #'tramp-file-local-name
                         #'file-local-name)
                     files)))
+    (setq tt (time-to-seconds))
      (with-current-buffer output
        (erase-buffer)
        (with-temp-buffer
@@ -1289,6 +1290,7 @@ xref-matches-in-files
                                              shell-command-switch
                                              command)))
        (goto-char (point-min))
+      (message "%s" (- (time-to-seconds) tt))
        (when (and (/=3D (point-min) (point-max))
                   (not (looking-at grep-re))
                   ;; TODO: Show these matches as well somehow?

--_002_VI1PR10MB28002AD31928468C3F6F13FF80820VI1PR10MB2800EURP_
Content-Type: application/octet-stream;
	name="0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch"
Content-Description:  0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch
Content-Disposition: attachment;
	filename="0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch";
	size=1421; creation-date="Tue, 09 Jun 2020 07:50:49 GMT";
	modification-date="Tue, 09 Jun 2020 07:50:49 GMT"
Content-Transfer-Encoding: base64

RnJvbSBiYzliNzM2ZmYyMGEwM2U4MzFiYzUxMTAyODNjY2Y5MjQxMTI3NzczIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTaW1vbiBMYW5nIDxzaW1vbi5sYW5nQG91dGxvb2suY29tPgpE
YXRlOiBNb24sIDggSnVuIDIwMjAgMjA6NDc6MDggKzAxMDAKU3ViamVjdDogW1BBVENIXSBNYWtl
IHJlZ2V4cCB1c2VkIHRvIGhpZ2hsaWdodCBncmVwIG1hdGNoZXMgY3VzdG9taXphYmxlCgoqIGxp
c3AvcHJvZ21vZGVzL2dyZXAuZWwKLS0tCiBsaXNwL3Byb2dtb2Rlcy9ncmVwLmVsIHwgNSArKysr
LQogMSBmaWxlIGNoYW5nZWQsIDQgaW5zZXJ0aW9ucygrKSwgMSBkZWxldGlvbigtKQoKZGlmZiAt
LWdpdCBhL2xpc3AvcHJvZ21vZGVzL2dyZXAuZWwgYi9saXNwL3Byb2dtb2Rlcy9ncmVwLmVsCmlu
ZGV4IDc3MzFiZTU5NjUuLjNmMGM5OWY2ZGMgMTAwNjQ0Ci0tLSBhL2xpc3AvcHJvZ21vZGVzL2dy
ZXAuZWwKKysrIGIvbGlzcC9wcm9nbW9kZXMvZ3JlcC5lbApAQCAtMTAwLDYgKzEwMCw5IEBAIFRv
IGNoYW5nZSB0aGUgZGVmYXVsdCB2YWx1ZSwgdXNlIFxcW2N1c3RvbWl6ZV0gb3IgY2FsbCB0aGUg
ZnVuY3Rpb24KICAgOnNldCAjJ2dyZXAtYXBwbHktc2V0dGluZwogICA6dmVyc2lvbiAiMjIuMSIp
CiAKKyhkZWZjdXN0b20gZ3JlcC1tYXRjaC1yZWdleHAgIlwwMzNcXFswPzE7MzFtXFwoLio/XFwp
XDAzM1xcW1swLTldKm0iCisgICJSZWdleCBkZWZpbml0aW9uIHRvIGlkZW50aWZ5IGdyZXAgbWFy
a2VycyB0byBoaWdobGlnaHQgbWF0Y2hlcy4iKQorCiAoZGVmY3VzdG9tIGdyZXAtc2Nyb2xsLW91
dHB1dCBuaWwKICAgIk5vbi1uaWwgdG8gc2Nyb2xsIHRoZSAqZ3JlcCogYnVmZmVyIHdpbmRvdyBh
cyBvdXRwdXQgYXBwZWFycy4KIApAQCAtNTg0LDcgKzU4Nyw3IEBAIFRoaXMgZnVuY3Rpb24gaXMg
Y2FsbGVkIGZyb20gYGNvbXBpbGF0aW9uLWZpbHRlci1ob29rJy4iCiAgICAgICAod2hlbiAoPCAo
cG9pbnQpIGVuZCkKICAgICAgICAgKHNldHEgZW5kIChjb3B5LW1hcmtlciBlbmQpKQogICAgICAg
ICA7OyBIaWdobGlnaHQgZ3JlcCBtYXRjaGVzIGFuZCBkZWxldGUgbWFya2luZyBzZXF1ZW5jZXMu
Ci0gICAgICAgICh3aGlsZSAocmUtc2VhcmNoLWZvcndhcmQgIlwwMzNcXFswPzE7MzFtXFwoLio/
XFwpXDAzM1xcW1swLTldKm0iIGVuZCAxKQorICAgICAgICAod2hpbGUgKHJlLXNlYXJjaC1mb3J3
YXJkIGdyZXAtbWF0Y2gtcmVnZXhwIGVuZCAxKQogICAgICAgICAgIChyZXBsYWNlLW1hdGNoIChw
cm9wZXJ0aXplIChtYXRjaC1zdHJpbmcgMSkKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAnZmFjZSBuaWwgJ2ZvbnQtbG9jay1mYWNlIGdyZXAtbWF0Y2gtZmFjZSkKICAgICAg
ICAgICAgICAgICAgICAgICAgICB0IHQpCi0tIAoyLjIxLjAgKEFwcGxlIEdpdC0xMjIpCgo=

--_002_VI1PR10MB28002AD31928468C3F6F13FF80820VI1PR10MB2800EURP_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 9 Jun 2020 00:44:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 20:44:56 2020
Received: from localhost ([127.0.0.1]:58309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiSNs-0002Gw-Cm
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 20:44:56 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:33917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1jiSNr-0002Gj-CB
 for 41766 <at> debbugs.gnu.org; Mon, 08 Jun 2020 20:44:55 -0400
Received: by mail-wr1-f65.google.com with SMTP id r7so19408420wro.1
 for <41766 <at> debbugs.gnu.org>; Mon, 08 Jun 2020 17:44:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=ofdz4e3FpRM/K9WowU8m4MjVgcPHRxCF/ibgzC/AG+k=;
 b=HvEJzWWIL+DQGINr+E21ArsLojdLFKsePfE0tucek+Qq04yBmGOwBpNF8XIjZr5fQA
 4OIUEJF39ubO+MI1G4xMAcZrqNovYlImc4tB6tJ9M3JKYt/HHASkjFcpyWDpZsllFlRD
 DwqFuCx8ki9flKQoov9cGchfHo9V9BrmFKOb6HC5O/BVcbhfZ9mrSQ9eXWvYWxpEsJZA
 8Luw88WbR5NLEz1ey+pIulwXwcAgvPFOflTPe3nZ+Q94NdUHdxvflziFL8cFjQk3Y9W6
 9udKA7OZxu3RUk5D0FIgUyFDlKtWz04Zpapg1ebeN2osmezUCNxGZjIbhlKmNTCahmfY
 f02A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=ofdz4e3FpRM/K9WowU8m4MjVgcPHRxCF/ibgzC/AG+k=;
 b=LynlBW+bGYe19HYwtdFrp7KtfJSFJdz3eWLFl0aAcmDMEfur1je2ZOyuU2fiwynrbz
 EkZq+gB2FTtNy7VEhl0Nft64GKCgyKM0p3zvFUu4y7jAg+m3VEhOnJU9rzSi1xNf/opi
 s6WnnVay/sP9Ex1npJyoHctaJmmfwT+EXJgbF++gIbMwQlmtmd1DJzgaaEbP1d5dbNQt
 FzwOKHNyZWo52FJBNGo+1DQcUuuGYKFuGbp+6kBqzkK0SeK/rqzOfmMUWX9QB+9zz1IL
 Y6scJACuxTCE8kiaDMF9K8mJFoCNIFMDOIZqTdOHG8OrGWAGKdixdiyKzCX/4AmqGYAW
 ziWg==
X-Gm-Message-State: AOAM530hUiWVjGGJ41IeS90SyB3itgfmW3HVqVsqhIdE/yHLULdv7SOo
 WVhNBLpWxEMqFGqCYLx4axGbUOj7
X-Google-Smtp-Source: ABdhPJyLYawHRYcXJp5loPPXFE2yAUPB5HIOkvCY1IywAYzDnulg/q/YYSxhxlFQQMGTw8ZPD6X76Q==
X-Received: by 2002:a5d:4c81:: with SMTP id z1mr1525559wrs.371.1591663489001; 
 Mon, 08 Jun 2020 17:44:49 -0700 (PDT)
Received: from [192.168.0.3] ([66.205.73.129])
 by smtp.googlemail.com with ESMTPSA id b19sm1616754wmj.0.2020.06.08.17.44.47
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 08 Jun 2020 17:44:48 -0700 (PDT)
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
To: Simon Lang <simon.lang@HIDDEN>, 41766 <at> debbugs.gnu.org
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <efef74b8-05fb-ae35-99b2-3b38f7c01d4f@HIDDEN>
Date: Tue, 9 Jun 2020 03:44:47 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.8.0
MIME-Version: 1.0
In-Reply-To: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 41766
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 08.06.2020 23:25, Simon Lang wrote:
> For example:
> 
> change  grep command to
> 
> "rg -n -H -S --no-heading --color always -e"

I wonder if we can use a similar customization more generally. For 
instance, in my testing Grep searches the full Emacs checkout in ~230ms, 
whereas RipGrep does that in ~40ms. The difference is perceptible.

The obvious idea is to use grep-template, but we're passing -s and -E to 
it. rg would interpret these options differently.

Here's a perftest patch if someone was personally curious about the 
difference:

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index 5b5fb4bc47..2c6ed4da7d 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -1262,7 +1262,7 @@ xref-matches-in-files
         (dir (file-name-directory (car files)))
         (remote-id (file-remote-p dir))
         ;; 'git ls-files' can output broken symlinks.
-       (command (format "xargs -0 grep %s -snHE -e %s"
+       (command (format "xargs -0 rg %s -nH -e %s"
                          (if (and case-fold-search
                                   (isearch-no-upper-case-p regexp t))
                              "-i"
@@ -1275,6 +1275,7 @@ xref-matches-in-files
                         #'tramp-file-local-name
                         #'file-local-name)
                     files)))
+    (setq tt (time-to-seconds))
      (with-current-buffer output
        (erase-buffer)
        (with-temp-buffer
@@ -1289,6 +1290,7 @@ xref-matches-in-files
                                              shell-command-switch
                                              command)))
        (goto-char (point-min))
+      (message "%s" (- (time-to-seconds) tt))
        (when (and (/= (point-min) (point-max))
                   (not (looking-at grep-re))
                   ;; TODO: Show these matches as well somehow?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at 41766 <at> debbugs.gnu.org:


Received: (at 41766) by debbugs.gnu.org; 8 Jun 2020 23:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 19:38:12 2020
Received: from localhost ([127.0.0.1]:58242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiRLI-0000Yq-KD
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 19:38:12 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:57705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jiRLG-0000YM-9Q
 for 41766 <at> debbugs.gnu.org; Mon, 08 Jun 2020 19:38:10 -0400
X-Originating-IP: 91.129.108.6
Received: from mail.gandi.net (m91-129-108-6.cust.tele2.ee [91.129.108.6])
 (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 9767EE0006;
 Mon,  8 Jun 2020 23:38:02 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Simon Lang <simon.lang@HIDDEN>
Subject: Re: bug#41766: Make it possible to change regexp to identify and
 highlight grep matches via customization
Organization: LINKOV.NET
References: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
Date: Tue, 09 Jun 2020 02:18:47 +0300
In-Reply-To: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
 (Simon Lang's message of "Mon, 8 Jun 2020 20:25:06 +0000")
Message-ID: <878sgx42wo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41766
Cc: 41766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> For example:
>
> change  grep command to
>
> "rg -n -H -S --no-heading --color always -e "
>
> and grep-match-regexp to

Thanks, grep-match-regexp is a good name, but your patch uses some less suitable
name grep-regexp-match.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2020 21:31:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 17:31:14 2020
Received: from localhost ([127.0.0.1]:58068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jiPMP-0005w9-VR
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 17:31:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:45706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon.lang@HIDDEN>) id 1jiOZ3-0004h7-MK
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2020 16:40:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42322)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon.lang@HIDDEN>)
 id 1jiOZ2-0003Pp-19
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jun 2020 16:40:13 -0400
Received: from mail-oln040092065060.outbound.protection.outlook.com
 ([40.92.65.60]:40364 helo=EUR01-HE1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon.lang@HIDDEN>)
 id 1jiOZ0-0004j9-7F
 for bug-gnu-emacs@HIDDEN; Mon, 08 Jun 2020 16:40:11 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=el+hsM1MFSWY22M+DnjAjjinQJ5XVinOGjVqmO3piXyqf8DQHO0Gi3fSRgMjI++IjrHyyMsYE9+DIym/247KPV5TukxJ9I/SVTk2ahlxyleYq8MIM1cgnn+TsfL255n+pEZEQI15sBVJdgI/viRArclx4J/PIY8Wd5HERC8vip0cEkgDW3b5PXjuZ1W8x/r/kbh+EqEssT48am5aXD2YdvtCNNSz1rtDVdb74bawuQf6ut3Hntf9Knz0Q2/weyPh4p32fTmU2XKhHObxoFVMeELXTu1e2qpjxqObi24SLTCVVuYYzRJKXnwyxZFeV21IrpN9n6spWlZqhm6jjNLDWw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=efw2UEh35XYxwwlsEQDrcF5bb69/KnxL+af+dT9TTis=;
 b=ctixXtaA+E30a+t1m5hcWz3uhBemGdHPQSPeZPzyROqPgUanOEtVHGCLvq8aOnakqFP6Hfocaczh/ki4IbRbjMedvwcYs5L4evk3db3t9uxrsxoIa56dnEcS1L+VCiX1bHM6cKEOwlZReX35MeC1PMdyctQW1WIJgnfkbbqAA3a+CMSzjbZT8vRDQZ4I9f+Rxvv+tIHriccBxzmlhbLLjoZSDb9JRqWFYNyPy/Rv6hiR/WYTm2Aj43LSR5incsJtB0NIqvfUxi1tGfZ0kpn1bOYMH691C4Tg/iN+br6WfsFl1tdIH00Q7BzGgMJeltF0h2CSvVow5S0px266cyzDyg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=efw2UEh35XYxwwlsEQDrcF5bb69/KnxL+af+dT9TTis=;
 b=mogJsXeX8S1CBWOrsttD5NmL+1MqylO0qNZ3CLeX4Xwe9TD572yiQVZS2bUm+zD5Ql91R377OGfYwBUZBMz9Z0aY7uRVGOgoPB+TMyreCwnzCZVCIi3eJTqffC1jAz1AHkIlLfPuwmJmrBwZB5hyUaG8qpEqdNCT39gbgnpT/LZRmLgdIhe7kYufLqNaI32zxYLg+b3menvU8AoEJxUUwKZq5+iZyZQ27Y3nKWxjQAVaCH3bDddywaXF++PWihR9N1jd4RrAhh6+3bLgWUb/U+XherMEsKnelfAWL+qRNGrSe6msuzs40vJXFxtKY2HAHnyWcB3SwFEB5fpCJXgBbQ==
Received: from HE1EUR01FT049.eop-EUR01.prod.protection.outlook.com
 (2a01:111:e400:7e18::53) by
 HE1EUR01HT221.eop-EUR01.prod.protection.outlook.com (2a01:111:e400:7e18::383)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18; Mon, 8 Jun
 2020 20:25:06 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 (2a01:111:e400:7e18::40) by HE1EUR01FT049.mail.protection.outlook.com
 (2a01:111:e400:7e18::221) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3066.18 via Frontend
 Transport; Mon, 8 Jun 2020 20:25:06 +0000
Received: from VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357]) by VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM
 ([fe80::c45e:a27a:903e:c357%7]) with mapi id 15.20.3066.023; Mon, 8 Jun 2020
 20:25:06 +0000
From: Simon Lang <simon.lang@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: Make it possible to change regexp to identify and highlight grep
 matches via customization 
Thread-Topic: Make it possible to change regexp to identify and highlight grep
 matches via customization 
Thread-Index: AQHWPc/RG0xiM+LeYUGktgGhL6/KlA==
Date: Mon, 8 Jun 2020 20:25:06 +0000
Message-ID: <VI1PR10MB280095870E99727378442A8980850@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:9577E98861B827019537BE7D441254C6BB70D2ED9507046C083E71CDE256C9A9;
 UpperCasedChecksum:86B8C9AEE78CE8A46E83E649577C6198672BD0DEFF2B5834CDAF567679799E7C;
 SizeAsReceived:6843; Count:43
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [2UsA2cE7Z0p/Qz8bMmqmfu2NC3D4g9Vz]
x-ms-publictraffictype: Email
x-incomingheadercount: 43
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 6373dea5-3f05-4262-2b64-08d80bea0878
x-ms-traffictypediagnostic: HE1EUR01HT221:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: NDAuYx4m3c+N06wugbpiHjzGuTxb0joAgAY5L3MrsP43LccKjAQTW/37pz2+OcBkX0i1djDY1A3XriJpwDQaXzm5kW6uerhPFF3++LL3i+BIJiCzfBAFjO8zW3lmV7zuU7a8k7Ka/bcmT1CMUdPdqe7ceb4sNh2pI2YqE3iwZgVZMQudKFG3/ywNTyIMM5iJmamJUocKbK7ar3EXqQKOCg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:0; SRV:;
 IPV:NLI; SFV:NSPM; H:VI1PR10MB2800.EURPRD10.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFTY:; SFS:; DIR:OUT; SFP:1901; 
x-ms-exchange-antispam-messagedata: uC196alLufbeb2x64NXKl7OQ785SYvLTajvzAKJxIOSGg1FInAML82rREj2Oa1Ce1r3VbwGDMtnk5KORk395pj1bn7db2eb6Prk1N/o754loZyLWoUx6J/lnDIFpdqSKuw1oVIAglx+/5CbhqvnG7A==
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_VI1PR10MB280095870E99727378442A8980850VI1PR10MB2800EURP_"
MIME-Version: 1.0
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 6373dea5-3f05-4262-2b64-08d80bea0878
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 08 Jun 2020 20:25:06.4261 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HE1EUR01HT221
Received-SPF: pass client-ip=40.92.65.60; envelope-from=simon.lang@HIDDEN;
 helo=EUR01-HE1-obe.outbound.protection.outlook.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/08 16:40:08
X-ACL-Warn: Detected OS   = Windows NT kernel [generic] [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 08 Jun 2020 17:31:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--_002_VI1PR10MB280095870E99727378442A8980850VI1PR10MB2800EURP_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

When changing grep-command or grep-find-command to e.g. ripgrep matches are=
 not highlighted in the grep buffer. This patches makes the regexp that is =
used to identify matches customizable and hence possible to adapt it to pot=
ential grep replacements.=0A=
=0A=
For example:=0A=
=0A=
change  grep command to =0A=
=0A=
"rg -n -H -S --no-heading --color always -e "=0A=
=0A=
and grep-match-regexp to=0A=
=0A=
"\033\\[[0-9]*m\033\\[[0-9]*1m\033\\[[0-9]*1m\\(.*?\\)\033\\[[0-9]*0m"=0A=
=0A=
to get correct highlighting with ripgrep.=0A=
=0A=
=0A=

--_002_VI1PR10MB280095870E99727378442A8980850VI1PR10MB2800EURP_
Content-Type: application/octet-stream;
	name="0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch"
Content-Description:  0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch
Content-Disposition: attachment;
	filename="0001-Make-regexp-used-to-highlight-grep-matches-customiza.patch";
	size=1421; creation-date="Mon, 08 Jun 2020 20:07:27 GMT";
	modification-date="Mon, 08 Jun 2020 20:07:27 GMT"
Content-Transfer-Encoding: base64

RnJvbSAwOTE2YjRlZmE2NjYxY2QzZjZhZDk4ODljZmVhODM1ODBiZjE3ZmU5IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBTaW1vbiBMYW5nIDxzaW1vbi5sYW5nQG91dGxvb2suY29tPgpE
YXRlOiBNb24sIDggSnVuIDIwMjAgMjA6NDc6MDggKzAxMDAKU3ViamVjdDogW1BBVENIXSBNYWtl
IHJlZ2V4cCB1c2VkIHRvIGhpZ2hsaWdodCBncmVwIG1hdGNoZXMgY3VzdG9taXphYmxlCgoqIGxp
c3AvcHJvZ21vZGVzL2dyZXAuZWwKLS0tCiBsaXNwL3Byb2dtb2Rlcy9ncmVwLmVsIHwgNSArKysr
LQogMSBmaWxlIGNoYW5nZWQsIDQgaW5zZXJ0aW9ucygrKSwgMSBkZWxldGlvbigtKQoKZGlmZiAt
LWdpdCBhL2xpc3AvcHJvZ21vZGVzL2dyZXAuZWwgYi9saXNwL3Byb2dtb2Rlcy9ncmVwLmVsCmlu
ZGV4IDc3MzFiZTU5NjUuLjA4YzhjYTA3MWIgMTAwNjQ0Ci0tLSBhL2xpc3AvcHJvZ21vZGVzL2dy
ZXAuZWwKKysrIGIvbGlzcC9wcm9nbW9kZXMvZ3JlcC5lbApAQCAtMTAwLDYgKzEwMCw5IEBAIFRv
IGNoYW5nZSB0aGUgZGVmYXVsdCB2YWx1ZSwgdXNlIFxcW2N1c3RvbWl6ZV0gb3IgY2FsbCB0aGUg
ZnVuY3Rpb24KICAgOnNldCAjJ2dyZXAtYXBwbHktc2V0dGluZwogICA6dmVyc2lvbiAiMjIuMSIp
CiAKKyhkZWZjdXN0b20gZ3JlcC1yZWdleHAtbWF0Y2ggIlwwMzNcXFswPzE7MzFtXFwoLio/XFwp
XDAzM1xcW1swLTldKm0iCisgICJSZWdleCBkZWZpbml0aW9uIHRvIGlkZW50aWZ5IGdyZXAgbWFy
a2VycyB0byBoaWdobGlnaHQgbWF0Y2hlcy4iKQorCiAoZGVmY3VzdG9tIGdyZXAtc2Nyb2xsLW91
dHB1dCBuaWwKICAgIk5vbi1uaWwgdG8gc2Nyb2xsIHRoZSAqZ3JlcCogYnVmZmVyIHdpbmRvdyBh
cyBvdXRwdXQgYXBwZWFycy4KIApAQCAtNTg0LDcgKzU4Nyw3IEBAIFRoaXMgZnVuY3Rpb24gaXMg
Y2FsbGVkIGZyb20gYGNvbXBpbGF0aW9uLWZpbHRlci1ob29rJy4iCiAgICAgICAod2hlbiAoPCAo
cG9pbnQpIGVuZCkKICAgICAgICAgKHNldHEgZW5kIChjb3B5LW1hcmtlciBlbmQpKQogICAgICAg
ICA7OyBIaWdobGlnaHQgZ3JlcCBtYXRjaGVzIGFuZCBkZWxldGUgbWFya2luZyBzZXF1ZW5jZXMu
Ci0gICAgICAgICh3aGlsZSAocmUtc2VhcmNoLWZvcndhcmQgIlwwMzNcXFswPzE7MzFtXFwoLio/
XFwpXDAzM1xcW1swLTldKm0iIGVuZCAxKQorICAgICAgICAod2hpbGUgKHJlLXNlYXJjaC1mb3J3
YXJkIGdyZXAtcmVnZXhwLW1hdGNoIGVuZCAxKQogICAgICAgICAgIChyZXBsYWNlLW1hdGNoIChw
cm9wZXJ0aXplIChtYXRjaC1zdHJpbmcgMSkKICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAnZmFjZSBuaWwgJ2ZvbnQtbG9jay1mYWNlIGdyZXAtbWF0Y2gtZmFjZSkKICAgICAg
ICAgICAgICAgICAgICAgICAgICB0IHQpCi0tIAoyLjIxLjAgKEFwcGxlIEdpdC0xMjIpCgo=

--_002_VI1PR10MB280095870E99727378442A8980850VI1PR10MB2800EURP_--




Acknowledgement sent to Simon Lang <simon.lang@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41766; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 14 Jun 2020 11:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.